﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PhenoReports
{
    /// <summary>
    /// Lógica de interacción para MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            var miListadosWindow = new ListadosWindow();
            miListadosWindow.ShowDialog();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Credenciales.setLoginTime();
            var loginWindow = new login();            
            loginWindow.ShowDialog();
            this.userLabel.Text = "Usuario: \n" + Credenciales.UsuarioActual.PERSONNEL.PERS_PRENOM +", " + Credenciales.UsuarioActual.PERSONNEL.PERS_NOM;
            this.siteLabel.Text = Credenciales.sitesUsuario();
            
        }

        private void InformesButton_Click(object sender, RoutedEventArgs e)
        {
            var miInformesWindow = new ReportsWindow();
            miInformesWindow.ShowDialog();
        }

        private void EtiquetasButton_Click(object sender, RoutedEventArgs e)
        {
            var miEtiquetasWindow = new LabelWindow();
            miEtiquetasWindow.ShowDialog();
        }

      
          

       
    }
}
