﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Data;


namespace PhenoReports
{
    /// <summary>
    /// Lógica de interacción para ReportsWindow.xaml
    /// </summary>
    public partial class ReportsWindow : Window
    {


        modelHemo.hemoEntities hemoEntities;

        public ReportsWindow()
        {
            InitializeComponent();
        }

        private System.Data.Objects.ObjectQuery<modelHemo.SHIIG_FAMREPORT> GetSHIIG_FAMREPORTQuery(modelHemo.hemoEntities hemoEntities)
        {
            // Código generado automáticamente

            System.Data.Objects.ObjectQuery<modelHemo.SHIIG_FAMREPORT> sHIIG_FAMREPORTQuery = hemoEntities.SHIIG_FAMREPORT;
            // Actualizar la consulta para incluir datos de SHIIG_REPORT en SHIIG_FAMREPORT. Puede modificar este código según sea necesario.
            sHIIG_FAMREPORTQuery = sHIIG_FAMREPORTQuery.Include("SHIIG_REPORT");
            // Actualizar la consulta para incluir datos de SHIIG_REPORT_QUERY en SHIIG_FAMREPORT. Puede modificar este código según sea necesario.
            sHIIG_FAMREPORTQuery = sHIIG_FAMREPORTQuery.Include("SHIIG_REPORT.SHIIG_REPORT_QUERY");
            // Actualizar la consulta para incluir datos de SHIIG_REPORT_BOOKMARK en SHIIG_FAMREPORT. Puede modificar este código según sea necesario.
            sHIIG_FAMREPORTQuery = sHIIG_FAMREPORTQuery.Include("SHIIG_REPORT.SHIIG_REPORT_QUERY.SHIIG_REPORT_BOOKMARK");
            // Devuelve un elemento ObjectQuery.
            return sHIIG_FAMREPORTQuery;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            hemoEntities = new modelHemo.hemoEntities();
            // Cargar datos en SHIIG_FAMREPORT. Puede modificar este código según sea necesario.
            System.Windows.Data.CollectionViewSource sHIIG_FAMREPORTViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("sHIIG_FAMREPORTViewSource")));
            System.Data.Objects.ObjectQuery<modelHemo.SHIIG_FAMREPORT> sHIIG_FAMREPORTQuery = this.GetSHIIG_FAMREPORTQuery(hemoEntities);
            sHIIG_FAMREPORTViewSource.Source = sHIIG_FAMREPORTQuery.Execute(System.Data.Objects.MergeOption.AppendOnly);

            // Cargar datos en SHIIG_REPORT_QUERY. Puede modificar este código según sea necesario.
            System.Windows.Data.CollectionViewSource sHIIG_REPORT_QUERYViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("sHIIG_REPORT_QUERYViewSource")));
            System.Data.Objects.ObjectQuery<modelHemo.SHIIG_REPORT_QUERY> sHIIG_REPORT_QUERYQuery = this.GetSHIIG_REPORT_QUERYQuery(hemoEntities);
            sHIIG_REPORT_QUERYViewSource.Source = sHIIG_REPORT_QUERYQuery.Execute(System.Data.Objects.MergeOption.AppendOnly);

          
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            try{
            hemoEntities.SaveChanges();
            }
            catch (Exception ex) { MessageBox.Show(ex.Message); }
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
           try{
            
            ReportManager reportMgr = new ReportManager(sHIIG_REPORTDataGrid.SelectedItem as modelHemo.SHIIG_REPORT);
            reportMgr.creaReport();
                } catch (Exception ex){MessageBox.Show(ex.Message);}
        }

        private System.Data.Objects.ObjectQuery<modelHemo.SHIIG_REPORT_QUERY> GetSHIIG_REPORT_QUERYQuery(modelHemo.hemoEntities hemoEntities)
        {
            // Código generado automáticamente

            System.Data.Objects.ObjectQuery<modelHemo.SHIIG_REPORT_QUERY> sHIIG_REPORT_QUERYQuery = hemoEntities.SHIIG_REPORT_QUERY;
            // Para cargar datos explícitamente, puede ser necesario agregar métodos Include similares al siguiente:
            // sHIIG_REPORT_QUERYQuery = sHIIG_REPORT_QUERYQuery.Include("SHIIG_REPORT_QUERY.SHIIG_REPORT").
            // Para obtener más información, vea http://go.microsoft.com/fwlink/?LinkId=157380
            // Devuelve un elemento ObjectQuery.
            return sHIIG_REPORT_QUERYQuery;
        }
       
       
    }
}
