﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace PhenoReports
{
    /// <summary>
    /// Lógica de interacción para login.xaml
    /// </summary>
    public partial class login : Window
    {
        public login()
        {
            InitializeComponent();
    
        }


/// <summary>
/// Chequea el nombre de usuario introducido y verifica su contraseña
/// Si los datos son correctos arranca la aplicación y establece los datos
/// de sesión del usuario
/// 
/// </summary>
/// 
 
        private void login_Click(object sender, RoutedEventArgs e)
        {
            if (checkPassword(usertextBox1.Text, passwordBox1.Password) == true)
            {
                
                //Busca usuario en el sistema, si existe permite introducir contraseña
                using (var context = new modelHemo.hemoEntities())
                {
                    var utilisateurs = from ut in context.UTILISATEUR
                                       where ut.UT_CODE.Equals(usertextBox1.Text)
                                       select ut;

                    if (utilisateurs.Count() > 0)
                    {
                        passwordBox1.IsEnabled = true;
                        passwordBox1.Focus();
                    }
                    else
                    {
                        passwordBox1.IsEnabled = false;
                    }
                }     
                this.Close();
             }
            else {
                MessageBox.Show(this, "Contraseña errónea", "Credenciales", MessageBoxButton.OK, MessageBoxImage.Hand);
                passwordBox1.Password = "";
                passwordBox1.Focus();
            }
        }

        /// <summary>
        /// Lee contraseña de base de datos para el usuario indicado
        /// Algoritmo desencriptacion Copyright Medinfo
        /// </summary>
        /// <param name="user">Usuario</param>
        /// <param name="password">contraseña</param>
        /// <returns>true si credenciales correctas
        /// false si no son correctas</returns>
        private Boolean checkPassword(string user,string password) 
        {
            Boolean ok = false;
            string decrypt = "";
             
            //Lee contraseña almacenada en hematos
            using (var context = new modelHemo.hemoEntities())
            {
                var utilisateurs = from ut in context.UTILISATEUR
                                   where ut.UT_CODE.Equals(usertextBox1.Text)
                                   select ut;                
                
                foreach (var uti in utilisateurs)
                {
                    decrypt = uti.UT_PASSWORD;
                    Credenciales.UsuarioActual = EntityUtils.Clone<modelHemo.UTILISATEUR>(uti);
                }

            }
            
            string CRYP3 = "YEHACKCULMHONIXFANEW";           
            int _result = CRYP3.Length;
            string _5 = "";
            string codigo = decrypt.Substring(3);//Salta los 3 primeros caracteres que son triviales
            string _4 = codigo;
            int CRYP4 = 0;
            int CRYP5;
            int CRYP6 = codigo.Length;
            char CRYP7 = ' ';
            string CRYP8 = " ";
            int CRYP9 = 0, CRYP10, CRYP11 = 0;

            CRYP4 = _result;
            CRYP5 = 1;
            CRYP5 = 1;
           
            int CRYP3_I = 1;
            while (CRYP3_I <= CRYP4)
            {

                CRYP7 = CRYP3[CRYP3_I - 1];

                if (CRYP5 <= CRYP6)
                {
                    CRYP8 = _4.Substring(CRYP5 - 1, 3);
                }
                else
                {
                    break;
                }
                CRYP9 = (int)CRYP7;
                CRYP10 = Convert.ToInt16(CRYP8);
                CRYP11 = CRYP10 - CRYP9;
                _5 += (char)CRYP11;
                CRYP3_I++;
                CRYP5 = CRYP5 + 3;
            }
            _5 = _5.TrimEnd();
            
            
            //Compara contraseña almacenada con introducida
            if (_5 == passwordBox1.Password)
            { 
                ok = true;
                 
            }
            else
            { ok = false;}         

            return ok;
        }

        private void textBox1_TextChanged(object sender, TextChangedEventArgs e)
        {
            //Busca usuario en el sistema, si existe permite introducir contraseña
            if (this.IsLoaded) { 
            using (var context = new modelHemo.hemoEntities())
            {
                var utilisateurs = from ut in context.UTILISATEUR
                                   where ut.UT_CODE.Equals(usertextBox1.Text)
                                   select ut;

                if (utilisateurs.Count() > 0)
                {
                    passwordBox1.IsEnabled = true;
                    passwordBox1.Focus();
                }
                else
                {
                    passwordBox1.IsEnabled = false;
                }

            }
            }
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            usertextBox1.Focus();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown(-2);
        }
    }
}
