
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 05/28/2012 20:59:25
-- Generated from EDMX file: C:\Users\moises\Dropbox\UOC\Treball Final Carrera\2012\Código\PhenoReports\PhenoReports\Modelhemo.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [hemo];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[FK_CIDS_DONNEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[CIDS] DROP CONSTRAINT [FK_CIDS_DONNEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_CIDSD_CIDS]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[CIDSD] DROP CONSTRAINT [FK_CIDSD_CIDS];
GO
IF OBJECT_ID(N'[dbo].[FK_COLLCOMM_COLLECTIVITE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[COLLCOMM] DROP CONSTRAINT [FK_COLLCOMM_COLLECTIVITE];
GO
IF OBJECT_ID(N'[dbo].[FK_COLLCONTACT_COLLECTIVITE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[COLLCONTACT] DROP CONSTRAINT [FK_COLLCONTACT_COLLECTIVITE];
GO
IF OBJECT_ID(N'[dbo].[FK_COLLDONN_COLLECTIVITE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[COLLDONN] DROP CONSTRAINT [FK_COLLDONN_COLLECTIVITE];
GO
IF OBJECT_ID(N'[dbo].[FK_COLLPERIODE_COLLECTIVITE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[COLLPERIODE] DROP CONSTRAINT [FK_COLLPERIODE_COLLECTIVITE];
GO
IF OBJECT_ID(N'[dbo].[FK_COLLPERSO_COLLECTIVITE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[COLLPERSO] DROP CONSTRAINT [FK_COLLPERSO_COLLECTIVITE];
GO
IF OBJECT_ID(N'[dbo].[FK_DON_DONNCPLT]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[DON] DROP CONSTRAINT [FK_DON_DONNCPLT];
GO
IF OBJECT_ID(N'[dbo].[FK_DONEXAM_DONNEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[DONEXAM] DROP CONSTRAINT [FK_DONEXAM_DONNEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_DONEXAMD_DONEXAM]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[DONEXAMD] DROP CONSTRAINT [FK_DONEXAMD_DONEXAM];
GO
IF OBJECT_ID(N'[dbo].[FK_DONNCI_DONNEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[DONNCI] DROP CONSTRAINT [FK_DONNCI_DONNEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_DONNEUR_DONNCPLT]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[DONNEUR] DROP CONSTRAINT [FK_DONNEUR_DONNCPLT];
GO
IF OBJECT_ID(N'[dbo].[FK_PERSONNEL_UTILISATEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[PERSONNEL] DROP CONSTRAINT [FK_PERSONNEL_UTILISATEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_PERSROLE_PERSONNEL]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[PERSROLE] DROP CONSTRAINT [FK_PERSROLE_PERSONNEL];
GO
IF OBJECT_ID(N'[dbo].[FK_PERSROLE_PROLE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[PERSROLE] DROP CONSTRAINT [FK_PERSROLE_PROLE];
GO
IF OBJECT_ID(N'[dbo].[FK_PERSROLE_PSITE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[PERSROLE] DROP CONSTRAINT [FK_PERSROLE_PSITE];
GO
IF OBJECT_ID(N'[dbo].[FK_PLANCOLL_COLLECTIVITE]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[PLANCOLL] DROP CONSTRAINT [FK_PLANCOLL_COLLECTIVITE];
GO
IF OBJECT_ID(N'[dbo].[FK_RECDEMEX_RECEVEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[RECDEMEX] DROP CONSTRAINT [FK_RECDEMEX_RECEVEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_RECDEMEXD_RECDEMEX]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[RECDEMEXD] DROP CONSTRAINT [FK_RECDEMEXD_RECDEMEX];
GO
IF OBJECT_ID(N'[dbo].[FK_RECDOSEX_RECEVEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[RECDOSEX] DROP CONSTRAINT [FK_RECDOSEX_RECEVEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_RECDTRANS_RECEVEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[RECDTRANS] DROP CONSTRAINT [FK_RECDTRANS_RECEVEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_RECIDENT_RECEVEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[RECIDENT] DROP CONSTRAINT [FK_RECIDENT_RECEVEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_RECPROT_PPROT]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[RECPROT] DROP CONSTRAINT [FK_RECPROT_PPROT];
GO
IF OBJECT_ID(N'[dbo].[FK_RECPROT_RECEVEUR]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[RECPROT] DROP CONSTRAINT [FK_RECPROT_RECEVEUR];
GO
IF OBJECT_ID(N'[dbo].[FK_SHIIG_PERS_STATS_PERSONNEL]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[SHIIG_PERS_STATS] DROP CONSTRAINT [FK_SHIIG_PERS_STATS_PERSONNEL];
GO
IF OBJECT_ID(N'[dbo].[FK_SHIIG_REPORT_BOOKMARK_SHIIG_REPORT_QUERY]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[SHIIG_REPORT_BOOKMARK] DROP CONSTRAINT [FK_SHIIG_REPORT_BOOKMARK_SHIIG_REPORT_QUERY];
GO
IF OBJECT_ID(N'[dbo].[FK_SHIIG_REPORT_QUERY_SHIIG_REPORT]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[SHIIG_REPORT_QUERY] DROP CONSTRAINT [FK_SHIIG_REPORT_QUERY_SHIIG_REPORT];
GO
IF OBJECT_ID(N'[dbo].[FK_SHIIG_REPORT_SHIIG_FAMREPORT]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[SHIIG_REPORT] DROP CONSTRAINT [FK_SHIIG_REPORT_SHIIG_FAMREPORT];
GO
IF OBJECT_ID(N'[dbo].[FK_SHIIG_STATS_SHIIG_FAMSTATS1]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[SHIIG_STATS] DROP CONSTRAINT [FK_SHIIG_STATS_SHIIG_FAMSTATS1];
GO
IF OBJECT_ID(N'[dbo].[FK_STOCK_PPROD]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[STOCK] DROP CONSTRAINT [FK_STOCK_PPROD];
GO
IF OBJECT_ID(N'[dbo].[FK_STOCKDEM_STOCK]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[STOCKDEM] DROP CONSTRAINT [FK_STOCKDEM_STOCK];
GO
IF OBJECT_ID(N'[dbo].[FK_STOCKDEM_STOCK1]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[STOCKDEM] DROP CONSTRAINT [FK_STOCKDEM_STOCK1];
GO
IF OBJECT_ID(N'[dbo].[FK_STOCKDEMEX_STOCKDEM]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[STOCKDEMEX] DROP CONSTRAINT [FK_STOCKDEMEX_STOCKDEM];
GO
IF OBJECT_ID(N'[dbo].[FK_STOCKDEMEXD_STOCKDEMEX]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[STOCKDEMEXD] DROP CONSTRAINT [FK_STOCKDEMEXD_STOCKDEMEX];
GO
IF OBJECT_ID(N'[dbo].[FK_STOCKEX_STOCK]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[STOCKEX] DROP CONSTRAINT [FK_STOCKEX_STOCK];
GO
IF OBJECT_ID(N'[dbo].[FK_TRACESTK_STOCK]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[TRACESTK] DROP CONSTRAINT [FK_TRACESTK_STOCK];
GO
IF OBJECT_ID(N'[dbo].[FK_TRACESTKD_TRACESTK]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[TRACESTKD] DROP CONSTRAINT [FK_TRACESTKD_TRACESTK];
GO

-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[CIDS]', 'U') IS NOT NULL
    DROP TABLE [dbo].[CIDS];
GO
IF OBJECT_ID(N'[dbo].[CIDSD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[CIDSD];
GO
IF OBJECT_ID(N'[dbo].[COLLCOMM]', 'U') IS NOT NULL
    DROP TABLE [dbo].[COLLCOMM];
GO
IF OBJECT_ID(N'[dbo].[COLLCONTACT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[COLLCONTACT];
GO
IF OBJECT_ID(N'[dbo].[COLLDONN]', 'U') IS NOT NULL
    DROP TABLE [dbo].[COLLDONN];
GO
IF OBJECT_ID(N'[dbo].[COLLECTIVITE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[COLLECTIVITE];
GO
IF OBJECT_ID(N'[dbo].[COLLPERIODE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[COLLPERIODE];
GO
IF OBJECT_ID(N'[dbo].[COLLPERSO]', 'U') IS NOT NULL
    DROP TABLE [dbo].[COLLPERSO];
GO
IF OBJECT_ID(N'[dbo].[COMDOSEX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[COMDOSEX];
GO
IF OBJECT_ID(N'[dbo].[DON]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DON];
GO
IF OBJECT_ID(N'[dbo].[DONCOMM]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONCOMM];
GO
IF OBJECT_ID(N'[dbo].[DONEXAM]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONEXAM];
GO
IF OBJECT_ID(N'[dbo].[DONEXAMD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONEXAMD];
GO
IF OBJECT_ID(N'[dbo].[DONNCI]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONNCI];
GO
IF OBJECT_ID(N'[dbo].[DONNCPLT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONNCPLT];
GO
IF OBJECT_ID(N'[dbo].[DONNEUR]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONNEUR];
GO
IF OBJECT_ID(N'[dbo].[DONNEVENT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONNEVENT];
GO
IF OBJECT_ID(N'[dbo].[DONNEXEXT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONNEXEXT];
GO
IF OBJECT_ID(N'[dbo].[DONNIDENT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONNIDENT];
GO
IF OBJECT_ID(N'[dbo].[DONNINFO]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DONNINFO];
GO
IF OBJECT_ID(N'[dbo].[DOSSEX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DOSSEX];
GO
IF OBJECT_ID(N'[dbo].[DOSSMED]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DOSSMED];
GO
IF OBJECT_ID(N'[dbo].[DOSSMEDC]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DOSSMEDC];
GO
IF OBJECT_ID(N'[dbo].[DOSSMEDEX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[DOSSMEDEX];
GO
IF OBJECT_ID(N'[dbo].[PCATDON]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PCATDON];
GO
IF OBJECT_ID(N'[dbo].[PCIDS]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PCIDS];
GO
IF OBJECT_ID(N'[dbo].[PCIDSD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PCIDSD];
GO
IF OBJECT_ID(N'[dbo].[PDECPROD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PDECPROD];
GO
IF OBJECT_ID(N'[dbo].[PDEPOT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PDEPOT];
GO
IF OBJECT_ID(N'[dbo].[PERSONNEL]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PERSONNEL];
GO
IF OBJECT_ID(N'[dbo].[PERSROLE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PERSROLE];
GO
IF OBJECT_ID(N'[dbo].[PETIQUETTE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PETIQUETTE];
GO
IF OBJECT_ID(N'[dbo].[PEXAMEN]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PEXAMEN];
GO
IF OBJECT_ID(N'[dbo].[PGREX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PGREX];
GO
IF OBJECT_ID(N'[dbo].[PLANCOLL]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PLANCOLL];
GO
IF OBJECT_ID(N'[dbo].[PPROD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PPROD];
GO
IF OBJECT_ID(N'[dbo].[PPROT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PPROT];
GO
IF OBJECT_ID(N'[dbo].[PRELEVEMENT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PRELEVEMENT];
GO
IF OBJECT_ID(N'[dbo].[PRELEXAM]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PRELEXAM];
GO
IF OBJECT_ID(N'[dbo].[PRELEXAMD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PRELEXAMD];
GO
IF OBJECT_ID(N'[dbo].[PROLE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PROLE];
GO
IF OBJECT_ID(N'[dbo].[PSITE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[PSITE];
GO
IF OBJECT_ID(N'[dbo].[RECDEMANDE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECDEMANDE];
GO
IF OBJECT_ID(N'[dbo].[RECDEMEX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECDEMEX];
GO
IF OBJECT_ID(N'[dbo].[RECDEMEXD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECDEMEXD];
GO
IF OBJECT_ID(N'[dbo].[RECDOSEX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECDOSEX];
GO
IF OBJECT_ID(N'[dbo].[RECDTRANS]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECDTRANS];
GO
IF OBJECT_ID(N'[dbo].[RECEVEUR]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECEVEUR];
GO
IF OBJECT_ID(N'[dbo].[RECIDENT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECIDENT];
GO
IF OBJECT_ID(N'[dbo].[RECPROT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[RECPROT];
GO
IF OBJECT_ID(N'[dbo].[SHIIG_FAMREPORT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SHIIG_FAMREPORT];
GO
IF OBJECT_ID(N'[dbo].[SHIIG_FAMSTATS]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SHIIG_FAMSTATS];
GO
IF OBJECT_ID(N'[dbo].[SHIIG_PERS_STATS]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SHIIG_PERS_STATS];
GO
IF OBJECT_ID(N'[dbo].[SHIIG_REPORT]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SHIIG_REPORT];
GO
IF OBJECT_ID(N'[dbo].[SHIIG_REPORT_BOOKMARK]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SHIIG_REPORT_BOOKMARK];
GO
IF OBJECT_ID(N'[dbo].[SHIIG_REPORT_QUERY]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SHIIG_REPORT_QUERY];
GO
IF OBJECT_ID(N'[dbo].[SHIIG_STATS]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SHIIG_STATS];
GO
IF OBJECT_ID(N'[dbo].[STOCK]', 'U') IS NOT NULL
    DROP TABLE [dbo].[STOCK];
GO
IF OBJECT_ID(N'[dbo].[STOCKDEM]', 'U') IS NOT NULL
    DROP TABLE [dbo].[STOCKDEM];
GO
IF OBJECT_ID(N'[dbo].[STOCKDEMEX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[STOCKDEMEX];
GO
IF OBJECT_ID(N'[dbo].[STOCKDEMEXD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[STOCKDEMEXD];
GO
IF OBJECT_ID(N'[dbo].[STOCKEX]', 'U') IS NOT NULL
    DROP TABLE [dbo].[STOCKEX];
GO
IF OBJECT_ID(N'[dbo].[TRACE]', 'U') IS NOT NULL
    DROP TABLE [dbo].[TRACE];
GO
IF OBJECT_ID(N'[dbo].[TRACE2]', 'U') IS NOT NULL
    DROP TABLE [dbo].[TRACE2];
GO
IF OBJECT_ID(N'[dbo].[TRACESTK]', 'U') IS NOT NULL
    DROP TABLE [dbo].[TRACESTK];
GO
IF OBJECT_ID(N'[dbo].[TRACESTKD]', 'U') IS NOT NULL
    DROP TABLE [dbo].[TRACESTKD];
GO
IF OBJECT_ID(N'[dbo].[UTILISATEUR]', 'U') IS NOT NULL
    DROP TABLE [dbo].[UTILISATEUR];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'PERSONNEL'
CREATE TABLE [dbo].[PERSONNEL] (
    [PERS_CD] char(10)  NOT NULL,
    [PERS_SEXE] char(1)  NULL,
    [PERS_NOM] varchar(100)  NULL,
    [PERS_PRENOM] varchar(100)  NULL,
    [PERS_ADR1] varchar(150)  NULL,
    [PERS_ADR2] varchar(150)  NULL,
    [PERS_CPOST] char(12)  NULL,
    [PERS_VILLE] varchar(100)  NULL,
    [PERS_TEL1] char(15)  NULL,
    [PERS_TEL2] char(15)  NULL,
    [PERS_FAX] char(15)  NULL,
    [PERS_NOTE] varchar(255)  NULL,
    [PERS_LANGUE] char(1)  NULL,
    [PERS_DESACT] datetime  NULL,
    [PERS_ADR3] varchar(100)  NULL,
    [PERS_ROUTAGE] varchar(6)  NULL,
    [PPAYS_CD] varchar(4)  NULL,
    [PDEPART_CD] varchar(4)  NULL,
    [COMMURB_CD] varchar(4)  NULL,
    [REGION_CD] varchar(2)  NULL,
    [PERS_CELL] varchar(15)  NULL,
    [PERS_PAGER] varchar(15)  NULL,
    [PERS_EMAIL] varchar(200)  NULL,
    [PTITRE_CD] varchar(4)  NULL
);
GO

-- Creating table 'PERSROLE'
CREATE TABLE [dbo].[PERSROLE] (
    [PR_PERS] char(10)  NOT NULL,
    [PR_SITE] char(4)  NOT NULL,
    [PR_ROLE] char(4)  NULL,
    [PR_LABO] char(4)  NULL,
    [PR_NIVDIST] decimal(5,0)  NULL
);
GO

-- Creating table 'PSITE'
CREATE TABLE [dbo].[PSITE] (
    [PSITE_CD] char(4)  NOT NULL,
    [PSITE_LIB] varchar(100)  NULL,
    [PSITE_ADR1] varchar(150)  NULL,
    [PSITE_ADR2] varchar(150)  NULL,
    [PSITE_ADR3] varchar(100)  NULL,
    [PSITE_CP] char(12)  NULL,
    [PSITE_VILLE] varchar(100)  NULL,
    [PSITE_ROUTAGE] varchar(6)  NULL,
    [PPAYS_CD] varchar(4)  NULL,
    [PDEPART_CD] varchar(4)  NULL,
    [COMMURB_CD] varchar(4)  NULL,
    [REGION_CD] varchar(2)  NULL,
    [PSITE_TEL1] varchar(15)  NULL,
    [PSITE_TEL2] varchar(15)  NULL,
    [PSITE_FAX] varchar(15)  NULL,
    [PSITE_CELL] varchar(15)  NULL,
    [PSITE_PAGER] varchar(15)  NULL,
    [PSITE_EMAIL] varchar(200)  NULL,
    [PSITE_WEB] varchar(80)  NULL,
    [PSITE_CONTACT] varchar(100)  NULL,
    [PSR_CD] varchar(4)  NULL,
    [PET_CD] varchar(4)  NULL,
    [PSITE_NOTES] varchar(255)  NULL
);
GO

-- Creating table 'UTILISATEUR'
CREATE TABLE [dbo].[UTILISATEUR] (
    [UT_CODE] char(10)  NOT NULL,
    [UT_TITRE] varchar(40)  NULL,
    [UT_NOM] varchar(40)  NULL,
    [UT_PRENOM] varchar(40)  NULL,
    [UT_ACTIF] char(1)  NULL,
    [UT_DT_DESACT] datetime  NULL,
    [UT_PASSWORD] varchar(75)  NULL,
    [UT_DT_PWD] datetime  NULL,
    [UTP_CODE] char(2)  NULL,
    [UT_NB_TENTATIVE] decimal(5,0)  NULL,
    [UT_DTH_TENTATIVE] datetime  NULL,
    [UT_BLOQUE] char(1)  NULL,
    [UT_DTH_BLOCAGE] datetime  NULL,
    [UT_TYPE_BLOCAGE] char(1)  NULL,
    [UT_CHGT_PWD] char(1)  NULL,
    [UT_TD_DROITS] varchar(1992)  NULL,
    [UT_MAX_LOGIN] decimal(5,0)  NULL,
    [UT_NB_LOGIN] decimal(5,0)  NULL,
    [UT_LAST_START] datetime  NULL
);
GO

-- Creating table 'PROLE'
CREATE TABLE [dbo].[PROLE] (
    [PROLE_CD] char(4)  NOT NULL,
    [PROLE_NOM] varchar(100)  NULL,
    [PROLE_DESACT] datetime  NULL
);
GO

-- Creating table 'SHIIG_FAMSTATS'
CREATE TABLE [dbo].[SHIIG_FAMSTATS] (
    [ID] char(5)  NOT NULL,
    [LIB] char(100)  NULL
);
GO

-- Creating table 'CIDS'
CREATE TABLE [dbo].[CIDS] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [CIDS_DTCRE] datetime  NOT NULL,
    [PCIDS_CD] char(4)  NOT NULL,
    [CIDS_NUMPREL] char(20)  NULL,
    [PTN_CD] char(2)  NULL,
    [CIDS_DTDEB] datetime  NULL,
    [CIDS_MEDECIN] varchar(10)  NULL,
    [CIDS_AUTEUR] varchar(10)  NULL,
    [CIDS_TYPAFF] char(1)  NULL,
    [CIDS_ORIG] char(1)  NULL,
    [CIDS_NOTE] varchar(255)  NULL
);
GO

-- Creating table 'CIDSD'
CREATE TABLE [dbo].[CIDSD] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [CIDS_DTCRE] datetime  NOT NULL,
    [PCIDS_CD] char(4)  NOT NULL,
    [CIDSD_CAT] char(2)  NOT NULL,
    [CIDS_TYPDU] char(1)  NULL,
    [CIDS_TYPE] char(1)  NULL,
    [CIDS_DUREE] decimal(7,0)  NULL,
    [CIDS_DTCIAP] datetime  NULL
);
GO

-- Creating table 'COLLCOMM'
CREATE TABLE [dbo].[COLLCOMM] (
    [COLL_CD] char(6)  NOT NULL,
    [COLC_DTDEB] datetime  NOT NULL,
    [COLC_DTFIN] datetime  NULL,
    [COLC_TEXTE] varchar(max)  NULL
);
GO

-- Creating table 'COLLCONTACT'
CREATE TABLE [dbo].[COLLCONTACT] (
    [COLL_CD] char(6)  NOT NULL,
    [COLO_ROLE] char(4)  NOT NULL,
    [PERS_CD] decimal(9,0)  NOT NULL,
    [COLO_LIBELLE] varchar(100)  NULL,
    [COLO_ADR1] varchar(150)  NULL,
    [COLO_ADR2] varchar(150)  NULL,
    [COLO_CPOST] char(5)  NULL,
    [COLO_VILLE] varchar(100)  NULL,
    [COLO_TEL1] varchar(15)  NULL,
    [COLO_TEL2] varchar(15)  NULL,
    [COLO_FAX] varchar(15)  NULL,
    [COLO_NOTE] varchar(255)  NULL
);
GO

-- Creating table 'COLLDONN'
CREATE TABLE [dbo].[COLLDONN] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [COLL_CD] char(6)  NOT NULL,
    [COLLDONN_TYPE] char(1)  NULL,
    [COLLDONN_DTE] datetime  NULL
);
GO

-- Creating table 'COLLECTIVITE'
CREATE TABLE [dbo].[COLLECTIVITE] (
    [COLL_CD] char(6)  NOT NULL,
    [COLL_LIBELLE] varchar(100)  NULL,
    [COLL_NOMLIEU] varchar(100)  NULL,
    [COLL_ADR1] varchar(150)  NULL,
    [COLL_ADR2] varchar(150)  NULL,
    [COLL_CPOST] char(12)  NULL,
    [COLL_VILLE] varchar(100)  NULL,
    [COLL_TELCOL] char(15)  NULL,
    [COLL_TELLIEU] char(15)  NULL,
    [ASSOC_CD] char(4)  NULL,
    [COLL_TYPE] char(2)  NULL,
    [COLL_CATEGORIE] char(2)  NULL,
    [COLL_MODE] char(2)  NULL,
    [COLL_SITE] char(4)  NULL,
    [COLL_SECURISABLE] char(1)  NULL,
    [COLL_ACTIVE] char(1)  NULL,
    [COLL_DISTANCE] decimal(7,0)  NULL,
    [COLL_TPSACCES] datetime  NULL,
    [COLL_SURFACE] decimal(7,0)  NULL,
    [COLL_ELECT] decimal(5,0)  NULL,
    [COLL_SANITAIRE] decimal(5,0)  NULL,
    [COLL_CUISINE] decimal(5,0)  NULL,
    [COLL_CABINE] decimal(5,0)  NULL,
    [COLL_PLAN] char(4)  NULL,
    [COLL_FREQ] char(24)  NULL,
    [COLL_PREVDON] decimal(7,0)  NULL,
    [COLL_DESACT] datetime  NULL,
    [COLL_ADR3] varchar(100)  NULL,
    [COLL_ROUTAGE] varchar(6)  NULL,
    [PPAYS_CD] varchar(4)  NULL,
    [PDEPART_CD] varchar(4)  NULL,
    [COMMURB_CD] varchar(4)  NULL,
    [REGION_CD] varchar(2)  NULL,
    [COLL_FAX] varchar(15)  NULL,
    [COLL_EMAIL] varchar(200)  NULL,
    [COLL_WEB] varchar(80)  NULL,
    [COLL_TSSITES] char(1)  NULL,
    [PCOND_CD] varchar(6)  NULL,
    [COLL_NEW_CD] varchar(6)  NULL
);
GO

-- Creating table 'COLLPERIODE'
CREATE TABLE [dbo].[COLLPERIODE] (
    [COLL_CD] char(6)  NOT NULL,
    [COLP_CD] char(1)  NOT NULL,
    [COLP_HDEB] datetime  NULL,
    [COLP_HFIN] datetime  NULL,
    [COLP_HDEPART] datetime  NULL,
    [COLP_HRETOUR] datetime  NULL,
    [COLP_TPSINSTA] datetime  NULL,
    [COLP_TPSREPLI] datetime  NULL,
    [COLP_DPAUSE] datetime  NULL,
    [COLP_HPAUSE] datetime  NULL,
    [COLP_PRIME] char(1)  NULL,
    [COLP_TXREPAS] decimal(5,0)  NULL,
    [COLP_LIEUREPAS] varchar(40)  NULL
);
GO

-- Creating table 'COLLPERSO'
CREATE TABLE [dbo].[COLLPERSO] (
    [COLL_CD] char(6)  NOT NULL,
    [COLP_CD] char(1)  NOT NULL,
    [COLS_TYPE] char(1)  NOT NULL,
    [COLS_CD] char(4)  NOT NULL,
    [COLS_NBRE] decimal(5,0)  NULL
);
GO

-- Creating table 'COMDOSEX'
CREATE TABLE [dbo].[COMDOSEX] (
    [COMPR_CD] decimal(12,0)  NOT NULL,
    [EXAM_CD] char(10)  NOT NULL,
    [RESULT_CD] varchar(4000)  NULL,
    [DOS_TYPEX] char(1)  NULL,
    [DOS_NBDET] decimal(5,0)  NULL,
    [DOS_DATE_DDET] datetime  NULL,
    [DOS_LABO1_EXAM] char(4)  NULL,
    [RESULT_UNITE] char(2)  NULL,
    [DOS_RESQUANT] varchar(10)  NULL
);
GO

-- Creating table 'DON'
CREATE TABLE [dbo].[DON] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DON_INCR] decimal(7,0)  NOT NULL,
    [PREL_NO] char(20)  NULL,
    [PTN_CD] char(2)  NULL,
    [DON_DATE] datetime  NULL,
    [DON_COLL] char(6)  NULL,
    [DON_SITE] char(4)  NULL,
    [DON_HEURE] datetime  NULL,
    [DON_DUREE] datetime  NULL,
    [PCATD_CD] char(2)  NULL,
    [PTYPP_CD] char(4)  NULL,
    [PUTD_CD] char(2)  NULL,
    [DON_INFIRM] varchar(10)  NULL,
    [DON_AUTEUR] varchar(10)  NULL,
    [DON_RANG] char(1)  NULL,
    [DON_AUTOTR] char(1)  NULL,
    [DON_PB] varchar(20)  NULL,
    [DON_VOL] decimal(7,0)  NULL,
    [PIQ_CD] varchar(4)  NULL,
    [DON_MOTDEM] varchar(10)  NULL,
    [DON_URG] varchar(10)  NULL,
    [DON_DENREG] datetime  NULL,
    [DON_DRECEP] datetime  NULL,
    [DON_PREMGR] char(1)  NULL,
    [DGR_INCR] decimal(5,0)  NULL,
    [DON_DPR_EST] char(1)  NULL,
    [DON_DTEPUR] datetime  NULL,
    [PTYPID_CD] varchar(3)  NULL,
    [PREL_NOORIG] varchar(20)  NULL,
    [PCLI_CD] varchar(10)  NULL,
    [PSERV_CD] varchar(10)  NULL,
    [PREL_PRESC] varchar(40)  NULL,
    [DON_REFEXT] varchar(20)  NULL,
    [DON_TYPDEM] char(1)  NULL,
    [DON_TYPESRC] char(1)  NULL,
    [DON_REFSRC] varchar(14)  NULL,
    [DON_INCRSRC] varchar(5)  NULL
);
GO

-- Creating table 'DONCOMM'
CREATE TABLE [dbo].[DONCOMM] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DON_INCR] decimal(7,0)  NOT NULL,
    [DONCO_DTCRE] datetime  NOT NULL,
    [DONCO_TYPE] char(1)  NOT NULL,
    [PRELX_INCR] decimal(7,0)  NULL,
    [PRELXD_INCR] decimal(7,0)  NULL,
    [PTI_CD] varchar(10)  NULL,
    [DONCO_EDIT] char(1)  NULL,
    [DONCO_AUTCRE] varchar(10)  NULL,
    [DONCO_DTMOD] datetime  NULL,
    [DONCO_AUTMOD] varchar(10)  NULL,
    [DONCO_TXT] varchar(2000)  NULL
);
GO

-- Creating table 'DONEXAM'
CREATE TABLE [dbo].[DONEXAM] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DONN_INCR] decimal(7,0)  NOT NULL,
    [PREL_NO] char(20)  NULL,
    [PRELX_INCR] decimal(7,0)  NOT NULL,
    [PRELX_EXAM] char(6)  NULL,
    [PRELX_RQUAL] varchar(4000)  NULL,
    [PRELX_RQUANT] char(10)  NULL,
    [PRELX_LABO] char(4)  NULL,
    [PRELX_DATE] datetime  NULL,
    [PRELX_NREA] char(1)  NULL,
    [PRELX_MOTIF] char(4)  NULL,
    [PRELX_ANORM] char(1)  NULL,
    [PRELX_COMM] varchar(80)  NULL,
    [PRELX_UNITE] char(2)  NULL,
    [PRELX_TSIGN] varchar(3)  NULL,
    [PRELX_SIGN] varchar(30)  NULL,
    [PRELX_TSIGNVAL] varchar(2)  NULL,
    [PRELX_SIGNVAL] varchar(20)  NULL,
    [PRELX_NIVVAL] char(1)  NULL,
    [PSITE_CD] varchar(4)  NULL,
    [PWA_CD] varchar(10)  NULL,
    [PRELX_XM_TYPIND] char(1)  NULL,
    [PRELX_XM_NUMIND] varchar(12)  NULL
);
GO

-- Creating table 'DONEXAMD'
CREATE TABLE [dbo].[DONEXAMD] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DONN_INCR] decimal(7,0)  NOT NULL,
    [PRELX_INCR] decimal(7,0)  NOT NULL,
    [PRELXD_INCR] decimal(7,0)  NOT NULL,
    [PRELXD_ANA] char(6)  NULL,
    [PRELXD_RQUAL] varchar(4000)  NULL,
    [PRELXD_RQUANT] char(10)  NULL,
    [PRELXD_LABO] char(4)  NULL,
    [PRELXD_DATE] datetime  NULL,
    [PRELXD_NREA] char(1)  NULL,
    [PRELXD_MOTIF] char(4)  NULL,
    [PRELXD_ANORM] char(1)  NULL,
    [PRELXD_COMM] varchar(80)  NULL,
    [PRELXD_UNITE] char(2)  NULL,
    [PRELXD_TSIGN] varchar(3)  NULL,
    [PRELXD_SIGN] varchar(30)  NULL,
    [PRELXD_TSIGNVAL] varchar(2)  NULL,
    [PRELXD_SIGNVAL] varchar(20)  NULL,
    [PRELXD_NIVVAL] char(1)  NULL,
    [PRELXD_SERUM] varchar(20)  NULL
);
GO

-- Creating table 'DONNCI'
CREATE TABLE [dbo].[DONNCI] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DCI_CAT] char(2)  NOT NULL,
    [DCI_TYPE] char(1)  NULL,
    [DCI_DATE] datetime  NULL,
    [PCIDS] char(4)  NULL,
    [DCI_NBD] decimal(7,0)  NULL,
    [DCI_DTE_DDON] datetime  NULL
);
GO

-- Creating table 'DONNCPLT'
CREATE TABLE [dbo].[DONNCPLT] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DCPLT_PERE] varchar(80)  NULL,
    [DCPLT_MERE] varchar(80)  NULL,
    [DCPLT_TEL1_NO] varchar(15)  NULL,
    [DCPLT_TEL1_TYPE] varchar(1)  NULL,
    [DCPLT_TEL2_NO] varchar(15)  NULL,
    [DCPLT_TEL2_TYPE] varchar(1)  NULL,
    [DCPLT_EMAIL] varchar(200)  NULL,
    [DCPLT_ADRESSE] varchar(100)  NULL,
    [DCPLT_COD0] varchar(2)  NULL,
    [DCPLT_COD1] varchar(2)  NULL,
    [DCPLT_COD2] varchar(2)  NULL,
    [DCPLT_COD3] varchar(2)  NULL,
    [DCPLT_COD4] varchar(2)  NULL,
    [DCPLT_COD5] varchar(2)  NULL,
    [DCPLT_COD6] varchar(2)  NULL,
    [DCPLT_COD7] varchar(2)  NULL,
    [DCPLT_COD8] varchar(2)  NULL,
    [DCPLT_COD9] varchar(2)  NULL,
    [DCPLT_VAL0] varchar(20)  NULL,
    [DCPLT_VAL1] varchar(20)  NULL,
    [DCPLT_VAL2] varchar(20)  NULL,
    [DCPLT_VAL3] varchar(20)  NULL,
    [DCPLT_VAL4] varchar(20)  NULL,
    [DCPLT_VAL5] varchar(20)  NULL,
    [DCPLT_VAL6] varchar(20)  NULL,
    [DCPLT_VAL7] varchar(20)  NULL,
    [DCPLT_VAL8] varchar(20)  NULL,
    [DCPLT_VAL9] varchar(20)  NULL
);
GO

-- Creating table 'DONNEUR'
CREATE TABLE [dbo].[DONNEUR] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DONN_SEXE] char(1)  NULL,
    [DONN_NOM] varchar(100)  NULL,
    [DONN_NOMMARI] varchar(100)  NULL,
    [DONN_PRENOM] varchar(100)  NULL,
    [DONN_DNAISS] datetime  NULL,
    [PTITRE_CD] char(4)  NULL,
    [DONN_ADRESSE] varchar(300)  NULL,
    [DONN_CPOST] char(12)  NULL,
    [DONN_VILLE] varchar(100)  NULL,
    [ADR_ROUTAGE] varchar(6)  NULL,
    [PPAYS_CD] char(4)  NULL,
    [PPAYS_NAT_CD] char(4)  NULL,
    [PDEPART_CD] char(4)  NULL,
    [DONN_VILLENAISS] varchar(100)  NULL,
    [DONN_TELP_NO] char(15)  NULL,
    [DONN_TELP_CONF] char(1)  NULL,
    [DONN_TELP_NOTE] varchar(40)  NULL,
    [DONN_TELT_NO] char(15)  NULL,
    [DONN_TELT_POSTE] char(5)  NULL,
    [DONN_TELA_TYPE] char(1)  NULL,
    [DONN_TELA_NO] char(15)  NULL,
    [DONN_TELA_NOTE] varchar(40)  NULL,
    [DONN_ENTREPRISE] varchar(100)  NULL,
    [PSOCIOP_CD] char(4)  NULL,
    [PPROF_CD] char(4)  NULL,
    [ASSOC_CD] char(4)  NULL,
    [ENTITE_CD] char(4)  NULL,
    [DONN_NB_CONVOC] decimal(5,0)  NULL,
    [DONN_CONVTEL] char(10)  NULL,
    [DONN_CONVCOUR] char(1)  NULL,
    [DONN_CONVINFO] char(1)  NULL,
    [DONN_CONVAUTRE] char(1)  NULL,
    [DONN_CONVNOTE] varchar(255)  NULL,
    [DONN_TYPE_DCONV] char(2)  NULL,
    [DONN_REF_DCONV] char(10)  NULL,
    [DONN_DTE_DCONV] datetime  NULL,
    [PDIPL_CD] char(1)  NULL,
    [DONN_NBD_EXT] decimal(7,0)  NULL,
    [DONN_NBD_INF] decimal(7,0)  NULL,
    [DONN_DTE_VISITE] datetime  NULL,
    [DONN_DTE_PDON] datetime  NULL,
    [DONN_LIEU_PDON] varchar(100)  NULL,
    [DONN_TYP_DONNEUR] char(10)  NULL,
    [PCATD_CD] char(2)  NULL,
    [PTYPP_CD] char(4)  NULL,
    [PUTD_CD] char(2)  NULL,
    [DONN_ETAT_BRASG] char(1)  NULL,
    [DONN_ETAT_BRASD] char(1)  NULL,
    [PMED_CD] char(6)  NULL,
    [DONN_POIDS] decimal(7,0)  NULL,
    [DONN_DTE_POIDS] datetime  NULL,
    [DONN_TAILLE] decimal(7,0)  NULL,
    [DONN_DTE_TAILLE] datetime  NULL,
    [DONN_NBTRANSF] decimal(5,0)  NULL,
    [DONN_NBGROSS] decimal(5,0)  NULL,
    [DONN_NBVOYAGE] decimal(5,0)  NULL,
    [DONN_RECEVEUR] char(12)  NULL,
    [DONN_NUMFUS] char(12)  NULL,
    [DONN_STATUS] char(1)  NULL,
    [DONN_RESERVE] varchar(10)  NULL,
    [DONN_GRPRH] char(3)  NULL,
    [DONN_DMODIF] datetime  NULL,
    [DONN_LANGUE] char(1)  NULL,
    [DONN_NOM3] varchar(100)  NULL,
    [DONN_DEPART] varchar(4)  NULL,
    [REGION_CD] varchar(2)  NULL,
    [COMMURB_CD] varchar(4)  NULL,
    [DONN_DDREFRESH] datetime  NULL,
    [DONN_SX] char(1)  NULL,
    [DONN_NBGR_INTER] decimal(5,0)  NULL,
    [DONN_NBGR_NAISS] decimal(5,0)  NULL,
    [DONN_DTE_TYPDONN] varchar(90)  NULL
);
GO

-- Creating table 'DONNEVENT'
CREATE TABLE [dbo].[DONNEVENT] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DEVT_INCR] decimal(7,0)  NOT NULL,
    [DEVT_CODE] varchar(10)  NULL,
    [DEVT_DTE] datetime  NULL,
    [DEVT_DTCRE] datetime  NULL,
    [PUTIL_CD] varchar(10)  NULL,
    [DEVT_POSTE] varchar(40)  NULL,
    [DEVT_SITE] varchar(4)  NULL,
    [DEVT_MODE] char(1)  NULL,
    [DEVT_TYPLINK] char(1)  NULL,
    [DEVT_REFLINK] varchar(80)  NULL,
    [DEVT_NOTES] varchar(512)  NULL
);
GO

-- Creating table 'DONNEXEXT'
CREATE TABLE [dbo].[DONNEXEXT] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DON_REFEXT] char(20)  NOT NULL,
    [EXAM_CD] char(10)  NOT NULL,
    [RESULT_CD] varchar(4000)  NULL,
    [RESULT_CD2] varchar(4000)  NULL,
    [DOS_TYPEX] char(1)  NULL,
    [DOS_UNITEX] varchar(2)  NULL,
    [DOS_DATE_PDET] datetime  NULL,
    [DOS_LABO1_EXAM] varchar(4)  NULL,
    [SIGN1] varchar(10)  NULL,
    [SIGN2] varchar(10)  NULL,
    [DOS_RESQUANT1] varchar(10)  NULL,
    [DOS_RESQUANT2] varchar(10)  NULL
);
GO

-- Creating table 'DONNIDENT'
CREATE TABLE [dbo].[DONNIDENT] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [IDENT_SITE] char(4)  NOT NULL,
    [IDENT_TYPE] char(3)  NOT NULL,
    [IDENT_CD] char(20)  NULL
);
GO

-- Creating table 'DONNINFO'
CREATE TABLE [dbo].[DONNINFO] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [PIF_CD] char(4)  NOT NULL,
    [DIF_DATE] datetime  NULL,
    [DIF_DATA] varchar(40)  NULL
);
GO

-- Creating table 'DOSSEX'
CREATE TABLE [dbo].[DOSSEX] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DEX_EXAM] char(6)  NOT NULL,
    [DEX_RES] varchar(4000)  NULL,
    [DEX_TYPRES] char(1)  NULL,
    [DEX_UNITE] char(2)  NULL,
    [DEX_NBDET] decimal(5,0)  NULL,
    [DEX_DTPDET] datetime  NULL,
    [DEX_DTDDET] datetime  NULL,
    [DEX_LABPDET] char(4)  NULL,
    [DEX_LABDDET] char(4)  NULL,
    [DEX_NUMPDET] char(20)  NULL,
    [DEX_TNPDET] char(2)  NULL,
    [DEX_NUMDDET] char(20)  NULL,
    [DEX_TNDDET] char(2)  NULL,
    [DEX_RESQUANT] varchar(10)  NULL
);
GO

-- Creating table 'DOSSMED'
CREATE TABLE [dbo].[DOSSMED] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DMED_DTE] datetime  NOT NULL,
    [DMED_HEURE] datetime  NULL,
    [DMED_HEUREI] datetime  NULL,
    [DMED_POIDS] decimal(7,0)  NULL,
    [DMED_TAILLE] decimal(7,0)  NULL,
    [DMED_TMAX] decimal(7,0)  NULL,
    [DMED_TMIN] decimal(7,0)  NULL,
    [DMED_TMAXP] decimal(7,0)  NULL,
    [DMED_TMINP] decimal(7,0)  NULL,
    [DMED_MED] varchar(10)  NULL,
    [DMED_ORIENT] char(1)  NULL,
    [PCATD_CD] char(2)  NULL,
    [PTYPP_CD] char(4)  NULL,
    [DMED_UTIL] char(2)  NULL,
    [DMED_REFUS] char(4)  NULL,
    [DMED_VOL] decimal(7,0)  NULL,
    [PREL_NO] char(20)  NULL,
    [PREL_TNO] char(2)  NULL,
    [PDOC_CD] char(2)  NULL,
    [DMED_SECR] varchar(10)  NULL,
    [DMED_COLL] char(6)  NULL,
    [DMED_SITE] char(4)  NULL,
    [PENT_CD] char(6)  NULL,
    [DMED_CONFCOMM] char(1)  NULL,
    [DMED_COMM] varchar(2000)  NULL,
    [DMED_CARTE] char(1)  NULL,
    [DMED_SIMPL] char(1)  NULL
);
GO

-- Creating table 'DOSSMEDC'
CREATE TABLE [dbo].[DOSSMEDC] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DMED_DTE] datetime  NOT NULL,
    [DMED_ORDRE] decimal(5,0)  NOT NULL,
    [PQUEST_CD] char(6)  NOT NULL,
    [DMEDC_INCR] decimal(5,0)  NOT NULL,
    [DMEDC_REP] char(10)  NULL,
    [DMEDC_DTDEB] datetime  NULL,
    [DMEDC_DTFIN] datetime  NULL,
    [DMEDC_CODE] char(6)  NULL,
    [DMEDC_ANTM] varchar(max)  NULL,
    [DMEDC_CIDS] varchar(max)  NULL,
    [DMEDC_INCF] varchar(max)  NULL,
    [DMEDC_EXAM] varchar(max)  NULL,
    [DMEDC_NOTE] varchar(max)  NULL,
    [DMEDC_QUEST] varchar(max)  NULL
);
GO

-- Creating table 'DOSSMEDEX'
CREATE TABLE [dbo].[DOSSMEDEX] (
    [DONN_NUMERO] char(12)  NOT NULL,
    [DMED_DTE] datetime  NOT NULL,
    [DMEX_INCR] decimal(7,0)  NOT NULL,
    [DMEX_TYPEX] char(1)  NULL,
    [DMEX_CODE] char(10)  NULL,
    [DMEX_ATRAIT] char(1)  NULL,
    [DMEX_ORIG] char(1)  NULL
);
GO

-- Creating table 'PCATDON'
CREATE TABLE [dbo].[PCATDON] (
    [PCATD_CD] char(2)  NOT NULL,
    [PCATD_LIB] varchar(40)  NULL
);
GO

-- Creating table 'PCIDS'
CREATE TABLE [dbo].[PCIDS] (
    [PCIDS_CD] char(4)  NOT NULL,
    [PCIDS_NOM] varchar(80)  NULL,
    [PFCI_CD] char(4)  NULL,
    [PSFCI_CD] char(4)  NULL,
    [PCIDS_COMMOBL] char(1)  NULL,
    [PCIDS_INCF] varchar(80)  NULL,
    [MDEST_CD] char(4)  NULL,
    [PCIDS_DESACT] datetime  NULL
);
GO

-- Creating table 'PCIDSD'
CREATE TABLE [dbo].[PCIDSD] (
    [PCIDS_CD] char(4)  NOT NULL,
    [PCIDSD_SX] char(1)  NOT NULL,
    [PCIDSD_CAT] char(2)  NOT NULL,
    [PCIDSD_DUREE] decimal(7,0)  NULL,
    [PCIDSD_TYPE] char(1)  NULL
);
GO

-- Creating table 'PDECPROD'
CREATE TABLE [dbo].[PDECPROD] (
    [PTYPE] char(1)  NOT NULL,
    [PROD_CD] char(10)  NOT NULL,
    [INCR] decimal(7,0)  NOT NULL,
    [PROD_NOUV] char(10)  NULL,
    [LIST_SUPPL] varchar(200)  NULL,
    [LIST_SUPPL2] varchar(200)  NULL
);
GO

-- Creating table 'PDEPOT'
CREATE TABLE [dbo].[PDEPOT] (
    [PDEP_CD] char(10)  NOT NULL,
    [PDEP_LIB] varchar(40)  NULL,
    [PDEP_DISTRN] char(1)  NULL,
    [PDEP_QUARANTAINE] char(1)  NULL,
    [PDEP_PROT] varchar(40)  NULL,
    [PDEP_DESACT] datetime  NULL,
    [PDEP_TSSITES] char(1)  NULL
);
GO

-- Creating table 'PETIQUETTE'
CREATE TABLE [dbo].[PETIQUETTE] (
    [PETIQ_TYPE] char(1)  NOT NULL,
    [PETIQ_CODE] char(10)  NOT NULL,
    [PETIQ_TYPVALID] char(1)  NULL,
    [EXAM_OBLI] varchar(max)  NULL,
    [EXAM_BLOQ] varchar(max)  NULL,
    [EXAM_PREC] varchar(max)  NULL,
    [EXAM_MERE] varchar(max)  NULL,
    [EXAM_COND] varchar(max)  NULL
);
GO

-- Creating table 'PEXAMEN'
CREATE TABLE [dbo].[PEXAMEN] (
    [PEX_CD] char(6)  NOT NULL,
    [PEX_LIB] varchar(40)  NULL,
    [PEX_LIBC] varchar(20)  NULL,
    [PEX_LIBAFF] varchar(20)  NULL,
    [PEX_LIBEDIT] varchar(20)  NULL,
    [PEX_LIBCTS] varchar(10)  NULL,
    [PEX_FAM] char(2)  NULL,
    [PEX_EXREF] char(10)  NULL,
    [PEX_GREX] char(1)  NULL,
    [PEX_RESUME] char(6)  NULL,
    [PEX_FACTCD] char(10)  NULL,
    [PEX_FACTQTE] decimal(5,0)  NULL,
    [PEX_TYPEX] char(1)  NULL,
    [PEX_EXEC] char(1)  NULL,
    [PEX_LABEX] char(4)  NULL,
    [PEX_PAILL] varchar(3)  NULL,
    [PEX_SAIS1] varchar(3)  NULL,
    [PEX_SAIS2] varchar(3)  NULL,
    [PEX_SAISX] varchar(3)  NULL,
    [PEX_VALBIO] char(1)  NULL,
    [PEX_VALTEC] char(1)  NULL,
    [PEX_TRENDU] char(8)  NULL,
    [PEX_TRES] char(1)  NULL,
    [PEX_FAMRES] char(10)  NULL,
    [PEX_CONTHIST] char(1)  NULL,
    [PEX_PWDHIST] char(1)  NULL,
    [PEX_GENDEM] char(1)  NULL,
    [PEX_GENCONF] char(1)  NULL,
    [PEX_NBDCONF] decimal(5,0)  NULL,
    [PEX_UNITRES] char(2)  NULL,
    [PEX_AUTPOS1] decimal(7,0)  NULL,
    [PEX_AUTLG1] decimal(5,0)  NULL,
    [PEX_AUTPOS2] decimal(7,0)  NULL,
    [PEX_AUTLG2] decimal(5,0)  NULL,
    [PEX_AUTVALID] char(1)  NULL,
    [PEX_AUTVALB] char(1)  NULL,
    [PEX_AUTVALT] char(1)  NULL,
    [PEX_RESNDEM] char(1)  NULL,
    [PEX_RESDJS] char(1)  NULL,
    [PEX_LETSYS] char(8)  NULL,
    [PEX_LETICMP] char(8)  NULL,
    [PEX_AG] char(1)  NULL,
    [PEX_AC] char(1)  NULL,
    [PEX_CAGAC] decimal(7,0)  NULL,
    [PEX_DOSDIH] char(1)  NULL,
    [PEX_DOSDIHR] char(1)  NULL,
    [PEX_DOSRIH] char(1)  NULL,
    [PEX_DOSRIHR] char(1)  NULL,
    [PEX_FST] char(1)  NULL,
    [PEX_ACTIF] char(1)  NULL,
    [PEX_POCHE] char(1)  NULL,
    [PEX_ARCHIVE] char(1)  NULL,
    [PCO_CDD] char(8)  NULL,
    [PCO_CDR] char(8)  NULL,
    [PEX_DESACT] datetime  NULL,
    [PEX_TSSITES] char(1)  NULL,
    [PTI_CD] varchar(10)  NULL,
    [PEX_MEMREACT] varchar(3)  NULL,
    [PEX_DETSAIS] char(1)  NULL,
    [PCO_CDQ] varchar(8)  NULL,
    [PEX_HLA] char(1)  NULL,
    [PEX_XM_INDIV] char(1)  NULL
);
GO

-- Creating table 'PGREX'
CREATE TABLE [dbo].[PGREX] (
    [GREX_CD] char(10)  NOT NULL,
    [GREX_LIB] varchar(40)  NULL,
    [GREX_EX] varchar(600)  NULL,
    [GREX_TSSITES] char(1)  NULL
);
GO

-- Creating table 'PLANCOLL'
CREATE TABLE [dbo].[PLANCOLL] (
    [PLAN_DATE] datetime  NOT NULL,
    [COLL_CD] char(6)  NOT NULL,
    [COLL_LIBELLE] varchar(100)  NULL,
    [COLL_NOMLIEU] varchar(100)  NULL,
    [COLL_ADR1] varchar(150)  NULL,
    [COLL_ADR2] varchar(150)  NULL,
    [COLL_CPOST] char(12)  NULL,
    [COLL_VILLE] varchar(100)  NULL,
    [COLL_TELCOL] char(15)  NULL,
    [COLL_TELLIEU] char(15)  NULL,
    [ASSOC_CD] char(4)  NULL,
    [COLL_TYPE] char(2)  NULL,
    [COLL_CATEGORIE] char(2)  NULL,
    [COLL_MODE] char(2)  NULL,
    [COLL_SITE] char(4)  NULL,
    [COLL_SECURISABLE] char(1)  NULL,
    [COLL_ACTIVE] char(1)  NULL,
    [COLL_DISTANCE] decimal(7,0)  NULL,
    [COLL_TPSACCES] datetime  NULL,
    [COLL_SURFACE] decimal(7,0)  NULL,
    [COLL_ELECT] decimal(5,0)  NULL,
    [COLL_SANITAIRE] decimal(5,0)  NULL,
    [COLL_CUISINE] decimal(5,0)  NULL,
    [COLL_CABINE] decimal(5,0)  NULL,
    [COLL_PLAN] char(4)  NULL,
    [COLL_PREVDON] decimal(7,0)  NULL,
    [PLC_NDONN] decimal(7,0)  NULL,
    [PLC_NCONV] decimal(7,0)  NULL,
    [PLC_NPREL] decimal(7,0)  NULL,
    [PLC_NREFU] decimal(7,0)  NULL,
    [COLL_ADR3] varchar(100)  NULL,
    [COLL_ROUTAGE] varchar(6)  NULL,
    [PPAYS_CD] varchar(4)  NULL,
    [PDEPART_CD] varchar(4)  NULL,
    [COMMURB_CD] varchar(4)  NULL,
    [REGION_CD] varchar(2)  NULL,
    [COLL_FAX] varchar(15)  NULL,
    [COLL_EMAIL] varchar(200)  NULL,
    [COLL_WEB] char(1)  NULL,
    [COLL_COMM] varchar(1000)  NULL,
    [COLL_COMMCONV] varchar(1000)  NULL
);
GO

-- Creating table 'PPROD'
CREATE TABLE [dbo].[PPROD] (
    [PROD_CD] varchar(10)  NOT NULL,
    [FPROD_CD] char(2)  NULL,
    [SFPROD_CD] char(2)  NULL,
    [PROD_LIB] varchar(100)  NULL,
    [PROD_FINI] char(1)  NULL,
    [PROD_DISTNOM] char(1)  NULL,
    [PROD_NIVMIN] decimal(5,0)  NULL,
    [PROD_NBJ] decimal(7,0)  NULL,
    [PROD_NBH] decimal(5,0)  NULL,
    [PROD_HISTOTR] char(1)  NULL,
    [PROD_ETIQ] char(8)  NULL,
    [PROD_ETIQERR] char(8)  NULL,
    [PROD_DENSITE] decimal(10,4)  NULL,
    [PROD_SOLCONSERV] varchar(40)  NULL,
    [PROD_VOLSOL] decimal(7,0)  NULL,
    [PROD_MINHB] decimal(10,4)  NULL,
    [PROD_VOLMIN] decimal(7,0)  NULL,
    [PROD_DESACT] datetime  NULL,
    [PROD_PERIM] char(1)  NULL,
    [PROD_STOCK] char(1)  NULL,
    [PROD_FACT] char(10)  NULL,
    [PROD_TYPSUPP] char(1)  NULL,
    [PROD_SUPPINUT] varchar(100)  NULL,
    [PROD_SUPPSINC] varchar(100)  NULL,
    [PREG_CD] varchar(10)  NULL,
    [PROD_NBRETMAX] decimal(7,0)  NULL,
    [PROD_COND] char(6)  NULL,
    [PROD_REGVRAI] varchar(10)  NULL,
    [PROD_REGFAUX] varchar(10)  NULL,
    [PROD_VOLMAX] decimal(7,0)  NULL,
    [PROD_EXSPEC] char(10)  NULL,
    [PROD_TRANCHES] varchar(160)  NULL,
    [PROD_VOLINTERM] decimal(7,0)  NULL,
    [PROD_FLAGAUTO] char(1)  NULL,
    [PROD_FLAGCHECK] char(1)  NULL,
    [PROD_REGLCALC] char(1)  NULL,
    [PROD_NBDECIM] decimal(5,0)  NULL,
    [PROD_PUISDIV] decimal(5,0)  NULL,
    [PROD_ETIQCAISSE] varchar(8)  NULL,
    [PROD_FLAGSEC] char(1)  NULL,
    [PROD_PRODSEC] varchar(10)  NULL,
    [PROD_PRODDECL] varchar(10)  NULL,
    [PROD_NBJMINSEC] decimal(7,0)  NULL,
    [PROD_NBJMAXDECL] decimal(7,0)  NULL,
    [PROD_ETIQPRO] varchar(8)  NULL,
    [PROD_TUBE_TYPE] varchar(10)  NULL,
    [PROD_TUBE_NATURE] varchar(10)  NULL,
    [PROD_ETIQINPROC] varchar(8)  NULL,
    [PROD_LSTFORM] varchar(330)  NULL,
    [PROD_LIBC] varchar(100)  NULL
);
GO

-- Creating table 'PPROT'
CREATE TABLE [dbo].[PPROT] (
    [PROT_CD] char(4)  NOT NULL,
    [PROT_LIB] varchar(40)  NULL,
    [PROT_REGDIST] varchar(10)  NULL,
    [PROT_DESACT] datetime  NULL
);
GO

-- Creating table 'PRELEVEMENT'
CREATE TABLE [dbo].[PRELEVEMENT] (
    [PREL_NO] char(20)  NOT NULL,
    [PTN_CD] char(2)  NULL,
    [IND_NUMERO] varchar(20)  NULL,
    [PREL_TYPIND] char(1)  NULL,
    [PREL_NOORIG] varchar(20)  NULL,
    [PREL_CLI] char(10)  NULL,
    [PREL_SER] char(10)  NULL,
    [PREL_RECNHP] varchar(20)  NULL,
    [PREL_PRESC] varchar(40)  NULL,
    [PREL_COLL] char(6)  NULL,
    [PREL_SITE] char(4)  NULL,
    [PREL_DATE] datetime  NULL,
    [PREL_HEURE] datetime  NULL,
    [PREL_DUREE] datetime  NULL,
    [PCATD_CD] char(2)  NULL,
    [PTYPP_CD] char(4)  NULL,
    [PUTD_CD] char(2)  NULL,
    [PREL_PRELEVEUR] varchar(40)  NULL,
    [PREL_RANG] char(1)  NULL,
    [PREL_AUTOTR] char(1)  NULL,
    [PREL_PB] varchar(20)  NULL,
    [PREL_SAISSECR] char(1)  NULL,
    [PREL_SAISMED] char(1)  NULL,
    [PREL_SAIS1] char(1)  NULL,
    [PREL_SAIS2] char(1)  NULL,
    [PREL_AUTS1] varchar(10)  NULL,
    [PREL_AUTS2] varchar(10)  NULL,
    [PREL_ORIG] char(1)  NULL,
    [PREL_NOTE] varchar(100)  NULL,
    [PREL_VOL] decimal(7,0)  NULL,
    [PREL_VERIF] char(1)  NULL,
    [PROD_CD] varchar(10)  NULL,
    [PREL_DTERES] datetime  NULL,
    [PREL_PRELEVEUR2] varchar(10)  NULL,
    [PREL_TROPLANG] char(1)  NULL,
    [PIQ_CD] varchar(4)  NULL,
    [PREL_MOTDEM] varchar(10)  NULL,
    [PREL_URG] varchar(10)  NULL,
    [PREL_DIAG] varchar(10)  NULL,
    [PREL_CLINIC] varchar(10)  NULL,
    [PREL_DENREG] datetime  NULL,
    [PREL_DRECEP] datetime  NULL,
    [PREL_CONSEXT] char(1)  NULL,
    [PREL_GRATUIT] char(1)  NULL,
    [PREL_PREMGR] char(1)  NULL,
    [PREL_GRINCR] decimal(5,0)  NULL,
    [PREL_DPR_EST] char(1)  NULL,
    [PTYPID_CD] varchar(3)  NULL,
    [PREL_TYPDEM] char(1)  NULL,
    [PREL_TYPESRC] char(1)  NULL,
    [PREL_REFSRC] varchar(14)  NULL,
    [PREL_INCRSRC] decimal(7,0)  NULL,
    [PREL_DEMINCR] decimal(7,0)  NULL
);
GO

-- Creating table 'PRELEXAM'
CREATE TABLE [dbo].[PRELEXAM] (
    [PREL_NO] char(20)  NOT NULL,
    [PRELX_INCR] decimal(7,0)  NOT NULL,
    [PRELX_EXAM] char(6)  NULL,
    [PRELX_RQUAL] varchar(4000)  NULL,
    [PRELX_RQUANT] varchar(10)  NULL,
    [PRELX_RHISTO] varchar(4000)  NULL,
    [PRELX_SAISIE] varchar(3)  NULL,
    [PRELX_TSIGN] varchar(3)  NULL,
    [PRELX_SIGN] varchar(30)  NULL,
    [PRELX_VALID] varchar(2)  NULL,
    [PRELX_TSIGNVAL] varchar(2)  NULL,
    [PRELX_SIGNVAL] varchar(20)  NULL,
    [PRELX_DATE] datetime  NULL,
    [PRELX_NREA] char(1)  NULL,
    [PRELX_MOTIF] char(4)  NULL,
    [PRELX_ANORM] char(1)  NULL,
    [PRELX_COMM] varchar(80)  NULL,
    [PRELX_UNITE] char(2)  NULL,
    [PRELX_LABO] char(4)  NULL,
    [STK_ID] decimal(22,0)  NULL,
    [PRELX_FST] char(1)  NULL,
    [PRELX_AFAIRE] char(1)  NULL,
    [PRELX_NIVVAL] char(1)  NULL,
    [PSITE_CD] varchar(4)  NULL,
    [PWA_CD] varchar(10)  NULL,
    [PRELX_XM_TYPIND] char(1)  NULL,
    [PRELX_XM_NUMIND] varchar(12)  NULL
);
GO

-- Creating table 'PRELEXAMD'
CREATE TABLE [dbo].[PRELEXAMD] (
    [PREL_NO] char(20)  NOT NULL,
    [PRELX_INCR] decimal(7,0)  NOT NULL,
    [PRELXD_INCR] decimal(7,0)  NOT NULL,
    [PRELXD_ANA] char(6)  NULL,
    [PRELXD_RQUAL] varchar(4000)  NULL,
    [PRELXD_RQUANT] varchar(10)  NULL,
    [PRELXD_RHISTO] varchar(4000)  NULL,
    [PRELXD_SAISIE] varchar(3)  NULL,
    [PRELXD_TSIGN] varchar(3)  NULL,
    [PRELXD_SIGN] varchar(30)  NULL,
    [PRELXD_VALID] varchar(2)  NULL,
    [PRELXD_TSIGNVAL] varchar(2)  NULL,
    [PRELXD_SIGNVAL] varchar(20)  NULL,
    [PRELXD_DATE] datetime  NULL,
    [PRELXD_NREA] char(1)  NULL,
    [PRELXD_MOTIF] char(4)  NULL,
    [PRELXD_ANORM] char(1)  NULL,
    [PRELXD_ARCHIVE] char(1)  NULL,
    [PRELXD_PAILLASSE] varchar(3)  NULL,
    [PRELXD_REFPAILL] varchar(45)  NULL,
    [PRELXD_NOPOCHE] varchar(20)  NULL,
    [PRELXD_PTN_CD] char(2)  NULL,
    [PRELXD_CPROD] varchar(10)  NULL,
    [PRELXD_COMM] varchar(80)  NULL,
    [PRELXD_UNITE] char(2)  NULL,
    [PRELXD_LABO] char(4)  NULL,
    [PRELXD_FST] char(1)  NULL,
    [PRELXD_AFAIRE] char(1)  NULL,
    [PRELXD_NIVVAL] char(1)  NULL,
    [PRELXD_SERUM] varchar(20)  NULL
);
GO

-- Creating table 'RECDEMANDE'
CREATE TABLE [dbo].[RECDEMANDE] (
    [REC_NUMERO] char(12)  NOT NULL,
    [RECD_INCR] decimal(7,0)  NOT NULL,
    [RECD_NUMDEM] char(20)  NULL,
    [RECD_REFEXT] char(20)  NULL,
    [PTN_CD] char(2)  NULL,
    [PCLI_CD] char(10)  NULL,
    [PSERV_CD] char(10)  NULL,
    [RECD_NOORIG] varchar(20)  NULL,
    [RECD_PRESC] varchar(40)  NULL,
    [RECD_DTDEM] datetime  NULL,
    [RECD_FST] char(1)  NULL,
    [RECD_FLAG] char(1)  NULL,
    [RECD_NOTE] varchar(100)  NULL,
    [RECD_SITE] varchar(4)  NULL,
    [RECD_RECNHP] varchar(25)  NULL,
    [PIQ_CD] varchar(4)  NULL,
    [RECD_PREL] varchar(40)  NULL,
    [RECD_MOTDEM] varchar(10)  NULL,
    [RECD_URG] varchar(10)  NULL,
    [RECD_DIAG] varchar(10)  NULL,
    [RECD_CLINIC] varchar(10)  NULL,
    [RECD_DENREG] datetime  NULL,
    [RECD_DRECEP] datetime  NULL,
    [RECD_CONSEXT] char(1)  NULL,
    [RECD_GRATUIT] char(1)  NULL,
    [RECD_PREMGR] char(1)  NULL,
    [RGR_INCR] decimal(5,0)  NULL,
    [RECD_DPR_EST] char(1)  NULL,
    [RECD_DTEPUR] datetime  NULL,
    [PTYPID_CD] varchar(3)  NULL,
    [RECD_TYPDEM] char(1)  NULL,
    [RECD_TYPESRC] char(1)  NULL,
    [RECD_REFSRC] varchar(14)  NULL,
    [RECD_INCRSRC] varchar(5)  NULL
);
GO

-- Creating table 'RECDEMEX'
CREATE TABLE [dbo].[RECDEMEX] (
    [REC_NUMERO] char(12)  NOT NULL,
    [RECD_INCR] decimal(7,0)  NOT NULL,
    [RECDX_INCR] decimal(7,0)  NOT NULL,
    [PREL_NO] char(20)  NULL,
    [RECDX_EXAM] char(6)  NULL,
    [RECDX_RQUAL] varchar(4000)  NULL,
    [RECDX_RQUANT] char(10)  NULL,
    [RECDX_LABO] char(4)  NULL,
    [RECDX_DATE] datetime  NULL,
    [RECDX_NREA] char(1)  NULL,
    [RECDX_MOTIF] char(4)  NULL,
    [RECDX_ANORM] char(1)  NULL,
    [RECDX_UNITE] char(2)  NULL,
    [RECDX_COMM] varchar(80)  NULL,
    [STK_ID] decimal(22,0)  NULL,
    [RECDX_FST] char(1)  NULL,
    [RECDX_TSIGN] varchar(3)  NULL,
    [RECDX_SIGN] varchar(30)  NULL,
    [RECDX_TSIGNVAL] varchar(2)  NULL,
    [RECDX_SIGNVAL] varchar(20)  NULL,
    [RECDX_NIVVAL] char(1)  NULL,
    [PSITE_CD] varchar(4)  NULL,
    [PWA_CD] varchar(10)  NULL,
    [RECDX_XM_TYPIND] char(1)  NULL,
    [RECDX_XM_NUMIND] varchar(12)  NULL
);
GO

-- Creating table 'RECDEMEXD'
CREATE TABLE [dbo].[RECDEMEXD] (
    [REC_NUMERO] char(12)  NOT NULL,
    [RECD_INCR] decimal(7,0)  NOT NULL,
    [RECDX_INCR] decimal(7,0)  NOT NULL,
    [RECDXD_INCR] decimal(7,0)  NOT NULL,
    [RECDXD_ANA] char(10)  NULL,
    [RECDXD_RQUAL] varchar(4000)  NULL,
    [RECDXD_RQUANT] char(40)  NULL,
    [RECDXD_LABO] char(4)  NULL,
    [RECDXD_DATE] datetime  NULL,
    [RECDXD_NREA] char(1)  NULL,
    [RECDXD_MOTIF] char(4)  NULL,
    [RECDXD_ANORM] char(1)  NULL,
    [RECDXD_UNITE] char(2)  NULL,
    [RECDXD_COMM] varchar(80)  NULL,
    [RECDXD_FST] char(1)  NULL,
    [RECDXD_TSIGN] varchar(3)  NULL,
    [RECDXD_SIGN] varchar(30)  NULL,
    [RECDXD_TSIGNVAL] varchar(2)  NULL,
    [RECDXD_SIGNVAL] varchar(20)  NULL,
    [RECDXD_NIVVAL] char(1)  NULL,
    [RECDXD_SERUM] varchar(20)  NULL
);
GO

-- Creating table 'RECDOSEX'
CREATE TABLE [dbo].[RECDOSEX] (
    [REC_NUMERO] char(12)  NOT NULL,
    [EXAM_CD] char(10)  NOT NULL,
    [RESULT_CD] varchar(4000)  NULL,
    [DOS_TYPEX] char(1)  NULL,
    [DOS_UNITEX] char(2)  NULL,
    [DOS_NBDET] decimal(5,0)  NULL,
    [DOS_DATE_PDET] datetime  NULL,
    [DOS_DATE_DDET] datetime  NULL,
    [DOS_LABO1_EXAM] char(4)  NULL,
    [DOS_LABO2_EXAM] char(4)  NULL,
    [DOS_PREMPREL] char(20)  NULL,
    [DOS_TNPDET] char(2)  NULL,
    [DOS_DERNPREL] char(20)  NULL,
    [DOS_TNDDET] char(2)  NULL,
    [DOS_RESQUANT] varchar(10)  NULL
);
GO

-- Creating table 'RECDTRANS'
CREATE TABLE [dbo].[RECDTRANS] (
    [REC_NUMERO] char(12)  NOT NULL,
    [FPROD] char(2)  NOT NULL,
    [SFPROD] char(2)  NOT NULL,
    [REC_TYPE_DTRANS] char(1)  NOT NULL,
    [REC_DTE_DTRANS] datetime  NULL,
    [REC_GRP_DTRANS] char(10)  NULL
);
GO

-- Creating table 'RECEVEUR'
CREATE TABLE [dbo].[RECEVEUR] (
    [REC_NUMERO] char(12)  NOT NULL,
    [REC_SEXE] char(1)  NULL,
    [REC_NOM] varchar(100)  NULL,
    [REC_NOMMARI] varchar(100)  NULL,
    [REC_PRENOM] varchar(100)  NULL,
    [REC_DNAISS] datetime  NULL,
    [PTITRE_CD] char(4)  NULL,
    [REC_ADRESSE] varchar(300)  NULL,
    [REC_CPOST] char(12)  NULL,
    [REC_VILLE] varchar(100)  NULL,
    [PPAYS_CD] char(4)  NULL,
    [PPAYS_NAT_CD] char(4)  NULL,
    [PDEPART_CD] char(4)  NULL,
    [REC_VILLENAISS] varchar(100)  NULL,
    [REC_TELP_NO] char(15)  NULL,
    [REC_ABO_MERE] char(4)  NULL,
    [REC_AG_D_MERE] char(1)  NULL,
    [REC_RAI_MERE] char(1)  NULL,
    [NUMREC_MERE] char(12)  NULL,
    [REC_CLIENT] char(10)  NULL,
    [REC_SERVICE] char(10)  NULL,
    [REC_NUMHOSP] char(25)  NULL,
    [REC_NBL] decimal(5,0)  NULL,
    [REC_DPO] datetime  NULL,
    [REC_DEX] datetime  NULL,
    [REC_MED] char(6)  NULL,
    [REC_TYPE] char(2)  NULL,
    [REC_STATUS] char(1)  NULL,
    [REC_NUMFUS] char(12)  NULL,
    [REC_ETAGE] varchar(2)  NULL,
    [REC_CHAMBRE] varchar(5)  NULL,
    [REC_LIT] varchar(2)  NULL,
    [REC_DONNEUR] char(12)  NULL,
    [REC_LANGUE] char(1)  NULL,
    [REC_NOM3] varchar(100)  NULL,
    [REC_ADR3] varchar(100)  NULL,
    [REC_ROUTAGE] varchar(6)  NULL,
    [REC_DEPART] varchar(4)  NULL,
    [COMMURB_CD] varchar(4)  NULL,
    [REGION_CD] varchar(2)  NULL,
    [REC_TEL2] varchar(15)  NULL,
    [REC_FAX] varchar(15)  NULL,
    [REC_CELL] varchar(15)  NULL,
    [REC_PAGER] varchar(15)  NULL,
    [REC_EMAIL] varchar(200)  NULL,
    [REC_SX] char(1)  NULL,
    [REC_POIDS] decimal(7,0)  NULL,
    [REC_DTE_POIDS] datetime  NULL,
    [REC_TAILLE] decimal(7,0)  NULL,
    [REC_DTE_TAILLE] datetime  NULL,
    [REC_DECES] varchar(10)  NULL,
    [REC_DTDECES] datetime  NULL,
    [REC_CONSEXT] char(1)  NULL,
    [REC_MED_TRAIT] varchar(100)  NULL,
    [REC_INF_TRAIT] varchar(100)  NULL,
    [REC_RESERVE] varchar(10)  NULL,
    [REC_NBGROSS] decimal(5,0)  NULL,
    [REC_NBGR_INTER] decimal(5,0)  NULL,
    [REC_NBGR_NAISS] decimal(5,0)  NULL,
    [REC_NAT] varchar(10)  NULL
);
GO

-- Creating table 'RECIDENT'
CREATE TABLE [dbo].[RECIDENT] (
    [REC_NUMERO] char(12)  NOT NULL,
    [IDENT_CLIENT] char(10)  NOT NULL,
    [IDENT_TYPE] char(3)  NOT NULL,
    [IDENT_NUMERO] char(20)  NULL
);
GO

-- Creating table 'RECPROT'
CREATE TABLE [dbo].[RECPROT] (
    [REC_NUMERO] char(12)  NOT NULL,
    [REC_PROT_CD] char(4)  NOT NULL,
    [REC_PROT_DD] datetime  NULL,
    [REC_PROT_DF] datetime  NULL,
    [REC_PROT_MED] varchar(10)  NULL
);
GO

-- Creating table 'STOCK'
CREATE TABLE [dbo].[STOCK] (
    [STK_ID] decimal(22,0)  NOT NULL,
    [PREL_NO] varchar(20)  NULL,
    [PROD_CD] varchar(10)  NULL,
    [STK_INCR] decimal(7,0)  NULL,
    [STK_TYPPRO] char(1)  NULL,
    [STK_DTENTREE] datetime  NULL,
    [STK_QTEENTREE] decimal(7,0)  NULL,
    [DONN_NUMERO] varchar(12)  NULL,
    [STK_PRODUCTEUR] char(4)  NULL,
    [STK_PRELEVEUR] char(4)  NULL,
    [STK_POIDS] decimal(9,0)  NULL,
    [STK_VOL] decimal(9,0)  NULL,
    [STK_ETAT] char(1)  NULL,
    [STK_DTETAT] datetime  NULL,
    [STK_DTSORTIE] datetime  NULL,
    [STK_QTESORTIE] decimal(7,0)  NULL,
    [STK_DTPREPA] datetime  NULL,
    [STK_QTEPREPA] decimal(7,0)  NULL,
    [STK_NBRET] decimal(7,0)  NULL,
    [MOTIFRES_CD] char(2)  NULL,
    [REC_NUMERO] varchar(12)  NULL,
    [PCLI_CD] varchar(10)  NULL,
    [PSERV_CD] varchar(10)  NULL,
    [STK_DTRESERV] datetime  NULL,
    [STK_DTCOLLECTE] datetime  NULL,
    [STK_HCOLLECTE] datetime  NULL,
    [STK_DTPEREMP] datetime  NULL,
    [STK_HPEREMP] datetime  NULL,
    [STK_DTPRODUCT] datetime  NULL,
    [STK_HPRODUCT] datetime  NULL,
    [STK_CASE] varchar(10)  NULL,
    [STK_NBUNITE] float  NULL,
    [STK_NBTRANSF] decimal(5,0)  NULL,
    [STK_SUPP] varchar(200)  NULL,
    [PDEP_CD] varchar(10)  NULL,
    [PTYPP_CD] char(4)  NULL,
    [MDEST_CD] char(4)  NULL,
    [STK_TITRSPEC] varchar(10)  NULL,
    [STK_ETAT2] char(1)  NULL,
    [PRODF_CD] varchar(10)  NULL,
    [STK_CATPRO] char(1)  NULL,
    [STK_TYPUTIL] char(1)  NULL,
    [PFOUR_CD] varchar(6)  NULL,
    [STK_TYPFOU] char(1)  NULL,
    [PSITE_CD] varchar(4)  NULL,
    [PLABO_CD] varchar(4)  NULL,
    [PWA_CD] varchar(10)  NULL,
    [PCOND_CD] varchar(6)  NULL
);
GO

-- Creating table 'STOCKDEM'
CREATE TABLE [dbo].[STOCKDEM] (
    [STK_ID] decimal(22,0)  NOT NULL,
    [STKD_INCR] decimal(5,0)  NOT NULL,
    [PREL_NO] varchar(20)  NULL,
    [STKD_DATE] datetime  NULL,
    [STKD_NOTE] varchar(100)  NULL,
    [STKD_DPR_EST] char(1)  NULL,
    [STKD_DRECEP] datetime  NULL,
    [STKD_DTEPUR] datetime  NULL,
    [STKD_SITE] varchar(4)  NULL,
    [PTYPP_CD] varchar(4)  NULL,
    [STKD_DENREG] datetime  NULL
);
GO

-- Creating table 'STOCKDEMEX'
CREATE TABLE [dbo].[STOCKDEMEX] (
    [STK_ID] decimal(22,0)  NOT NULL,
    [STKD_INCR] decimal(5,0)  NOT NULL,
    [STKDX_INCR] decimal(7,0)  NOT NULL,
    [STKDX_EXAM] varchar(6)  NULL,
    [STKDX_RQUAL] varchar(4000)  NULL,
    [STKDX_RQUANT] varchar(10)  NULL,
    [STKDX_LABO] varchar(4)  NULL,
    [STKDX_DATE] datetime  NULL,
    [STKDX_NREA] char(1)  NULL,
    [STKDX_MOTIF] varchar(4)  NULL,
    [STKDX_ANORM] char(1)  NULL,
    [STKDX_UNITE] varchar(2)  NULL,
    [STKDX_COMM] varchar(80)  NULL,
    [PSITE_CD] varchar(4)  NULL,
    [PWA_CD] varchar(10)  NULL,
    [STKDX_TSIGN] varchar(3)  NULL,
    [STKDX_SIGN] varchar(30)  NULL,
    [STKDX_TSIGNVAL] varchar(2)  NULL,
    [STKDX_SIGNVAL] varchar(20)  NULL,
    [STKDX_NIVVAL] char(1)  NULL
);
GO

-- Creating table 'STOCKDEMEXD'
CREATE TABLE [dbo].[STOCKDEMEXD] (
    [STK_ID] decimal(22,0)  NOT NULL,
    [STKD_INCR] decimal(5,0)  NOT NULL,
    [STKDX_INCR] decimal(7,0)  NOT NULL,
    [STKDXD_INCR] decimal(5,0)  NOT NULL,
    [STKDXD_ANA] varchar(6)  NULL,
    [STKDXD_RQUAL] varchar(4000)  NULL,
    [STKDXD_RQUANT] varchar(10)  NULL,
    [STKDXD_LABO] varchar(4)  NULL,
    [STKDXD_DATE] datetime  NULL,
    [STKDXD_NREA] char(1)  NULL,
    [STKDXD_MOTIF] varchar(4)  NULL,
    [STKDXD_ANORM] char(1)  NULL,
    [STKDXD_UNITE] varchar(2)  NULL,
    [STKDXD_COMM] varchar(80)  NULL,
    [STKDXD_TSIGN] varchar(3)  NULL,
    [STKDXD_SIGN] varchar(30)  NULL,
    [STKDXD_TSIGNVAL] varchar(2)  NULL,
    [STKDXD_SIGNVAL] varchar(20)  NULL,
    [STKDXD_NIVVAL] char(1)  NULL
);
GO

-- Creating table 'STOCKEX'
CREATE TABLE [dbo].[STOCKEX] (
    [STK_ID] decimal(22,0)  NOT NULL,
    [PEX_CD] char(6)  NOT NULL,
    [STKX_RESULT] varchar(4000)  NULL,
    [STKX_TYPRES] char(1)  NULL,
    [STKX_NBDET] decimal(5,0)  NULL,
    [STKX_DATE_DDET] datetime  NULL,
    [STKX_RES_UNITE] char(2)  NULL,
    [STKX_RESQUANT] varchar(10)  NULL
);
GO

-- Creating table 'TRACE'
CREATE TABLE [dbo].[TRACE] (
    [TRC_TYPIND] char(1)  NOT NULL,
    [TRC_NUMIND] varchar(20)  NOT NULL,
    [TRC_DATE] datetime  NOT NULL,
    [TRC_QUI] varchar(10)  NULL,
    [TRC_SITE] char(4)  NULL,
    [TRC_QUOI] varchar(2)  NULL,
    [TRC_ACTION] varchar(1)  NULL,
    [TRC_ZONE] varchar(2)  NULL,
    [TRC_CODE] varchar(30)  NULL,
    [TRC_AVANT] varchar(2000)  NULL,
    [TRC_APRES] varchar(2000)  NULL,
    [TRC_RAISON] varchar(512)  NULL
);
GO

-- Creating table 'TRACE2'
CREATE TABLE [dbo].[TRACE2] (
    [TRC_TYPIND] char(1)  NOT NULL,
    [TRC_NUMIND] varchar(20)  NOT NULL,
    [TRC_DATE] datetime  NOT NULL,
    [TRC_INCR] decimal(5,0)  NOT NULL,
    [TRC_AVANT] varchar(2000)  NULL,
    [TRC_APRES] varchar(2000)  NULL
);
GO

-- Creating table 'TRACESTK'
CREATE TABLE [dbo].[TRACESTK] (
    [STK_ID] decimal(22,0)  NOT NULL,
    [TSK_DATE] datetime  NOT NULL,
    [POP_CD] char(4)  NULL,
    [PUTIL_CD] varchar(10)  NULL,
    [TSK_POSTE] varchar(10)  NULL,
    [TSK_SITE] varchar(4)  NULL,
    [PDEP_CD] varchar(10)  NULL,
    [TSK_QTE] decimal(7,0)  NULL,
    [TSK_ACTION] char(1)  NULL,
    [TSK_POIDS] decimal(9,0)  NULL,
    [REC_NUMERO] varchar(12)  NULL,
    [TSK_STK_ID] decimal(22,0)  NULL,
    [PCLI_CD] varchar(10)  NULL,
    [PSERV_CD] varchar(10)  NULL,
    [PLABO_CD] varchar(4)  NULL,
    [PWA_CD] varchar(10)  NULL
);
GO

-- Creating table 'TRACESTKD'
CREATE TABLE [dbo].[TRACESTKD] (
    [STK_ID] decimal(22,0)  NOT NULL,
    [TSK_DATE] datetime  NOT NULL,
    [TSKD_INCR] decimal(5,0)  NOT NULL,
    [POPD_CD] char(2)  NULL,
    [TSKD_REP] varchar(40)  NULL
);
GO

-- Creating table 'SHIIG_PERS_STATS'
CREATE TABLE [dbo].[SHIIG_PERS_STATS] (
    [PERS_CD] char(10)  NOT NULL,
    [TYPE] nchar(10)  NOT NULL,
    [STAT_ID] char(10)  NOT NULL
);
GO

-- Creating table 'SHIIG_STATS'
CREATE TABLE [dbo].[SHIIG_STATS] (
    [ID] char(10)  NOT NULL,
    [LIB] char(100)  NULL,
    [ESTAD] varbinary(max)  NULL,
    [FAM] char(5)  NULL,
    [CONFIG] char(20)  NULL,
    [COMENT] char(400)  NULL,
    [SQL] varchar(max)  NULL
);
GO

-- Creating table 'SHIIG_FAMREPORT'
CREATE TABLE [dbo].[SHIIG_FAMREPORT] (
    [ID_FAMREPORT] int IDENTITY(1,1) NOT NULL,
    [LIB_FAMREPORT] nchar(250)  NULL
);
GO

-- Creating table 'SHIIG_REPORT'
CREATE TABLE [dbo].[SHIIG_REPORT] (
    [ID_REPORT] int IDENTITY(1,1) NOT NULL,
    [FAM_REPORT] int  NOT NULL,
    [LIB_REPORT] varchar(max)  NULL,
    [FILE_LOCATION] nchar(1000)  NULL
);
GO

-- Creating table 'SHIIG_REPORT_QUERY'
CREATE TABLE [dbo].[SHIIG_REPORT_QUERY] (
    [ID_FAMREPORT] int  NOT NULL,
    [ID_REPORT] int  NOT NULL,
    [ID_QUERY] int IDENTITY(1,1) NOT NULL,
    [SQL_QUERY] varchar(max)  NULL,
    [SINGLE_RESULT] char(1)  NOT NULL,
    [LIB_QUERY] varchar(50)  NULL
);
GO

-- Creating table 'SHIIG_REPORT_BOOKMARK'
CREATE TABLE [dbo].[SHIIG_REPORT_BOOKMARK] (
    [ID_FAMREPORT] int  NOT NULL,
    [ID_REPORT] int  NOT NULL,
    [ID_QUERY] int  NOT NULL,
    [ID_BOOKMARK] int IDENTITY(1,1) NOT NULL,
    [LOCATION] varchar(20)  NULL,
    [QUERY_FIELD] varchar(50)  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [PERS_CD] in table 'PERSONNEL'
ALTER TABLE [dbo].[PERSONNEL]
ADD CONSTRAINT [PK_PERSONNEL]
    PRIMARY KEY CLUSTERED ([PERS_CD] ASC);
GO

-- Creating primary key on [PR_PERS], [PR_SITE] in table 'PERSROLE'
ALTER TABLE [dbo].[PERSROLE]
ADD CONSTRAINT [PK_PERSROLE]
    PRIMARY KEY CLUSTERED ([PR_PERS], [PR_SITE] ASC);
GO

-- Creating primary key on [PSITE_CD] in table 'PSITE'
ALTER TABLE [dbo].[PSITE]
ADD CONSTRAINT [PK_PSITE]
    PRIMARY KEY CLUSTERED ([PSITE_CD] ASC);
GO

-- Creating primary key on [UT_CODE] in table 'UTILISATEUR'
ALTER TABLE [dbo].[UTILISATEUR]
ADD CONSTRAINT [PK_UTILISATEUR]
    PRIMARY KEY CLUSTERED ([UT_CODE] ASC);
GO

-- Creating primary key on [PROLE_CD] in table 'PROLE'
ALTER TABLE [dbo].[PROLE]
ADD CONSTRAINT [PK_PROLE]
    PRIMARY KEY CLUSTERED ([PROLE_CD] ASC);
GO

-- Creating primary key on [ID] in table 'SHIIG_FAMSTATS'
ALTER TABLE [dbo].[SHIIG_FAMSTATS]
ADD CONSTRAINT [PK_SHIIG_FAMSTATS]
    PRIMARY KEY CLUSTERED ([ID] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [CIDS_DTCRE], [PCIDS_CD] in table 'CIDS'
ALTER TABLE [dbo].[CIDS]
ADD CONSTRAINT [PK_CIDS]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [CIDS_DTCRE], [PCIDS_CD] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [CIDS_DTCRE], [PCIDS_CD], [CIDSD_CAT] in table 'CIDSD'
ALTER TABLE [dbo].[CIDSD]
ADD CONSTRAINT [PK_CIDSD]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [CIDS_DTCRE], [PCIDS_CD], [CIDSD_CAT] ASC);
GO

-- Creating primary key on [COLL_CD], [COLC_DTDEB] in table 'COLLCOMM'
ALTER TABLE [dbo].[COLLCOMM]
ADD CONSTRAINT [PK_COLLCOMM]
    PRIMARY KEY CLUSTERED ([COLL_CD], [COLC_DTDEB] ASC);
GO

-- Creating primary key on [COLL_CD], [COLO_ROLE], [PERS_CD] in table 'COLLCONTACT'
ALTER TABLE [dbo].[COLLCONTACT]
ADD CONSTRAINT [PK_COLLCONTACT]
    PRIMARY KEY CLUSTERED ([COLL_CD], [COLO_ROLE], [PERS_CD] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [COLL_CD] in table 'COLLDONN'
ALTER TABLE [dbo].[COLLDONN]
ADD CONSTRAINT [PK_COLLDONN]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [COLL_CD] ASC);
GO

-- Creating primary key on [COLL_CD] in table 'COLLECTIVITE'
ALTER TABLE [dbo].[COLLECTIVITE]
ADD CONSTRAINT [PK_COLLECTIVITE]
    PRIMARY KEY CLUSTERED ([COLL_CD] ASC);
GO

-- Creating primary key on [COLL_CD], [COLP_CD] in table 'COLLPERIODE'
ALTER TABLE [dbo].[COLLPERIODE]
ADD CONSTRAINT [PK_COLLPERIODE]
    PRIMARY KEY CLUSTERED ([COLL_CD], [COLP_CD] ASC);
GO

-- Creating primary key on [COLL_CD], [COLP_CD], [COLS_TYPE], [COLS_CD] in table 'COLLPERSO'
ALTER TABLE [dbo].[COLLPERSO]
ADD CONSTRAINT [PK_COLLPERSO]
    PRIMARY KEY CLUSTERED ([COLL_CD], [COLP_CD], [COLS_TYPE], [COLS_CD] ASC);
GO

-- Creating primary key on [COMPR_CD], [EXAM_CD] in table 'COMDOSEX'
ALTER TABLE [dbo].[COMDOSEX]
ADD CONSTRAINT [PK_COMDOSEX]
    PRIMARY KEY CLUSTERED ([COMPR_CD], [EXAM_CD] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DON_INCR] in table 'DON'
ALTER TABLE [dbo].[DON]
ADD CONSTRAINT [PK_DON]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DON_INCR] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DON_INCR], [DONCO_DTCRE], [DONCO_TYPE] in table 'DONCOMM'
ALTER TABLE [dbo].[DONCOMM]
ADD CONSTRAINT [PK_DONCOMM]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DON_INCR], [DONCO_DTCRE], [DONCO_TYPE] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DONN_INCR], [PRELX_INCR] in table 'DONEXAM'
ALTER TABLE [dbo].[DONEXAM]
ADD CONSTRAINT [PK_DONEXAM]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DONN_INCR], [PRELX_INCR] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DONN_INCR], [PRELX_INCR], [PRELXD_INCR] in table 'DONEXAMD'
ALTER TABLE [dbo].[DONEXAMD]
ADD CONSTRAINT [PK_DONEXAMD]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DONN_INCR], [PRELX_INCR], [PRELXD_INCR] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DCI_CAT] in table 'DONNCI'
ALTER TABLE [dbo].[DONNCI]
ADD CONSTRAINT [PK_DONNCI]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DCI_CAT] ASC);
GO

-- Creating primary key on [DONN_NUMERO] in table 'DONNCPLT'
ALTER TABLE [dbo].[DONNCPLT]
ADD CONSTRAINT [PK_DONNCPLT]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO] ASC);
GO

-- Creating primary key on [DONN_NUMERO] in table 'DONNEUR'
ALTER TABLE [dbo].[DONNEUR]
ADD CONSTRAINT [PK_DONNEUR]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DEVT_INCR] in table 'DONNEVENT'
ALTER TABLE [dbo].[DONNEVENT]
ADD CONSTRAINT [PK_DONNEVENT]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DEVT_INCR] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DON_REFEXT], [EXAM_CD] in table 'DONNEXEXT'
ALTER TABLE [dbo].[DONNEXEXT]
ADD CONSTRAINT [PK_DONNEXEXT]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DON_REFEXT], [EXAM_CD] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [IDENT_SITE], [IDENT_TYPE] in table 'DONNIDENT'
ALTER TABLE [dbo].[DONNIDENT]
ADD CONSTRAINT [PK_DONNIDENT]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [IDENT_SITE], [IDENT_TYPE] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [PIF_CD] in table 'DONNINFO'
ALTER TABLE [dbo].[DONNINFO]
ADD CONSTRAINT [PK_DONNINFO]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [PIF_CD] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DEX_EXAM] in table 'DOSSEX'
ALTER TABLE [dbo].[DOSSEX]
ADD CONSTRAINT [PK_DOSSEX]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DEX_EXAM] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DMED_DTE] in table 'DOSSMED'
ALTER TABLE [dbo].[DOSSMED]
ADD CONSTRAINT [PK_DOSSMED]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DMED_DTE] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DMED_DTE], [DMED_ORDRE], [PQUEST_CD], [DMEDC_INCR] in table 'DOSSMEDC'
ALTER TABLE [dbo].[DOSSMEDC]
ADD CONSTRAINT [PK_DOSSMEDC]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DMED_DTE], [DMED_ORDRE], [PQUEST_CD], [DMEDC_INCR] ASC);
GO

-- Creating primary key on [DONN_NUMERO], [DMED_DTE], [DMEX_INCR] in table 'DOSSMEDEX'
ALTER TABLE [dbo].[DOSSMEDEX]
ADD CONSTRAINT [PK_DOSSMEDEX]
    PRIMARY KEY CLUSTERED ([DONN_NUMERO], [DMED_DTE], [DMEX_INCR] ASC);
GO

-- Creating primary key on [PCATD_CD] in table 'PCATDON'
ALTER TABLE [dbo].[PCATDON]
ADD CONSTRAINT [PK_PCATDON]
    PRIMARY KEY CLUSTERED ([PCATD_CD] ASC);
GO

-- Creating primary key on [PCIDS_CD] in table 'PCIDS'
ALTER TABLE [dbo].[PCIDS]
ADD CONSTRAINT [PK_PCIDS]
    PRIMARY KEY CLUSTERED ([PCIDS_CD] ASC);
GO

-- Creating primary key on [PCIDS_CD], [PCIDSD_SX], [PCIDSD_CAT] in table 'PCIDSD'
ALTER TABLE [dbo].[PCIDSD]
ADD CONSTRAINT [PK_PCIDSD]
    PRIMARY KEY CLUSTERED ([PCIDS_CD], [PCIDSD_SX], [PCIDSD_CAT] ASC);
GO

-- Creating primary key on [PTYPE], [PROD_CD], [INCR] in table 'PDECPROD'
ALTER TABLE [dbo].[PDECPROD]
ADD CONSTRAINT [PK_PDECPROD]
    PRIMARY KEY CLUSTERED ([PTYPE], [PROD_CD], [INCR] ASC);
GO

-- Creating primary key on [PDEP_CD] in table 'PDEPOT'
ALTER TABLE [dbo].[PDEPOT]
ADD CONSTRAINT [PK_PDEPOT]
    PRIMARY KEY CLUSTERED ([PDEP_CD] ASC);
GO

-- Creating primary key on [PETIQ_TYPE], [PETIQ_CODE] in table 'PETIQUETTE'
ALTER TABLE [dbo].[PETIQUETTE]
ADD CONSTRAINT [PK_PETIQUETTE]
    PRIMARY KEY CLUSTERED ([PETIQ_TYPE], [PETIQ_CODE] ASC);
GO

-- Creating primary key on [PEX_CD] in table 'PEXAMEN'
ALTER TABLE [dbo].[PEXAMEN]
ADD CONSTRAINT [PK_PEXAMEN]
    PRIMARY KEY CLUSTERED ([PEX_CD] ASC);
GO

-- Creating primary key on [GREX_CD] in table 'PGREX'
ALTER TABLE [dbo].[PGREX]
ADD CONSTRAINT [PK_PGREX]
    PRIMARY KEY CLUSTERED ([GREX_CD] ASC);
GO

-- Creating primary key on [PLAN_DATE], [COLL_CD] in table 'PLANCOLL'
ALTER TABLE [dbo].[PLANCOLL]
ADD CONSTRAINT [PK_PLANCOLL]
    PRIMARY KEY CLUSTERED ([PLAN_DATE], [COLL_CD] ASC);
GO

-- Creating primary key on [PROD_CD] in table 'PPROD'
ALTER TABLE [dbo].[PPROD]
ADD CONSTRAINT [PK_PPROD]
    PRIMARY KEY CLUSTERED ([PROD_CD] ASC);
GO

-- Creating primary key on [PROT_CD] in table 'PPROT'
ALTER TABLE [dbo].[PPROT]
ADD CONSTRAINT [PK_PPROT]
    PRIMARY KEY CLUSTERED ([PROT_CD] ASC);
GO

-- Creating primary key on [PREL_NO] in table 'PRELEVEMENT'
ALTER TABLE [dbo].[PRELEVEMENT]
ADD CONSTRAINT [PK_PRELEVEMENT]
    PRIMARY KEY CLUSTERED ([PREL_NO] ASC);
GO

-- Creating primary key on [PREL_NO], [PRELX_INCR] in table 'PRELEXAM'
ALTER TABLE [dbo].[PRELEXAM]
ADD CONSTRAINT [PK_PRELEXAM]
    PRIMARY KEY CLUSTERED ([PREL_NO], [PRELX_INCR] ASC);
GO

-- Creating primary key on [PREL_NO], [PRELX_INCR], [PRELXD_INCR] in table 'PRELEXAMD'
ALTER TABLE [dbo].[PRELEXAMD]
ADD CONSTRAINT [PK_PRELEXAMD]
    PRIMARY KEY CLUSTERED ([PREL_NO], [PRELX_INCR], [PRELXD_INCR] ASC);
GO

-- Creating primary key on [REC_NUMERO], [RECD_INCR] in table 'RECDEMANDE'
ALTER TABLE [dbo].[RECDEMANDE]
ADD CONSTRAINT [PK_RECDEMANDE]
    PRIMARY KEY CLUSTERED ([REC_NUMERO], [RECD_INCR] ASC);
GO

-- Creating primary key on [REC_NUMERO], [RECD_INCR], [RECDX_INCR] in table 'RECDEMEX'
ALTER TABLE [dbo].[RECDEMEX]
ADD CONSTRAINT [PK_RECDEMEX]
    PRIMARY KEY CLUSTERED ([REC_NUMERO], [RECD_INCR], [RECDX_INCR] ASC);
GO

-- Creating primary key on [REC_NUMERO], [RECD_INCR], [RECDX_INCR], [RECDXD_INCR] in table 'RECDEMEXD'
ALTER TABLE [dbo].[RECDEMEXD]
ADD CONSTRAINT [PK_RECDEMEXD]
    PRIMARY KEY CLUSTERED ([REC_NUMERO], [RECD_INCR], [RECDX_INCR], [RECDXD_INCR] ASC);
GO

-- Creating primary key on [REC_NUMERO], [EXAM_CD] in table 'RECDOSEX'
ALTER TABLE [dbo].[RECDOSEX]
ADD CONSTRAINT [PK_RECDOSEX]
    PRIMARY KEY CLUSTERED ([REC_NUMERO], [EXAM_CD] ASC);
GO

-- Creating primary key on [REC_NUMERO], [FPROD], [SFPROD], [REC_TYPE_DTRANS] in table 'RECDTRANS'
ALTER TABLE [dbo].[RECDTRANS]
ADD CONSTRAINT [PK_RECDTRANS]
    PRIMARY KEY CLUSTERED ([REC_NUMERO], [FPROD], [SFPROD], [REC_TYPE_DTRANS] ASC);
GO

-- Creating primary key on [REC_NUMERO] in table 'RECEVEUR'
ALTER TABLE [dbo].[RECEVEUR]
ADD CONSTRAINT [PK_RECEVEUR]
    PRIMARY KEY CLUSTERED ([REC_NUMERO] ASC);
GO

-- Creating primary key on [REC_NUMERO], [IDENT_CLIENT], [IDENT_TYPE] in table 'RECIDENT'
ALTER TABLE [dbo].[RECIDENT]
ADD CONSTRAINT [PK_RECIDENT]
    PRIMARY KEY CLUSTERED ([REC_NUMERO], [IDENT_CLIENT], [IDENT_TYPE] ASC);
GO

-- Creating primary key on [REC_NUMERO], [REC_PROT_CD] in table 'RECPROT'
ALTER TABLE [dbo].[RECPROT]
ADD CONSTRAINT [PK_RECPROT]
    PRIMARY KEY CLUSTERED ([REC_NUMERO], [REC_PROT_CD] ASC);
GO

-- Creating primary key on [STK_ID] in table 'STOCK'
ALTER TABLE [dbo].[STOCK]
ADD CONSTRAINT [PK_STOCK]
    PRIMARY KEY CLUSTERED ([STK_ID] ASC);
GO

-- Creating primary key on [STK_ID], [STKD_INCR] in table 'STOCKDEM'
ALTER TABLE [dbo].[STOCKDEM]
ADD CONSTRAINT [PK_STOCKDEM]
    PRIMARY KEY CLUSTERED ([STK_ID], [STKD_INCR] ASC);
GO

-- Creating primary key on [STK_ID], [STKD_INCR], [STKDX_INCR] in table 'STOCKDEMEX'
ALTER TABLE [dbo].[STOCKDEMEX]
ADD CONSTRAINT [PK_STOCKDEMEX]
    PRIMARY KEY CLUSTERED ([STK_ID], [STKD_INCR], [STKDX_INCR] ASC);
GO

-- Creating primary key on [STK_ID], [STKD_INCR], [STKDX_INCR], [STKDXD_INCR] in table 'STOCKDEMEXD'
ALTER TABLE [dbo].[STOCKDEMEXD]
ADD CONSTRAINT [PK_STOCKDEMEXD]
    PRIMARY KEY CLUSTERED ([STK_ID], [STKD_INCR], [STKDX_INCR], [STKDXD_INCR] ASC);
GO

-- Creating primary key on [STK_ID], [PEX_CD] in table 'STOCKEX'
ALTER TABLE [dbo].[STOCKEX]
ADD CONSTRAINT [PK_STOCKEX]
    PRIMARY KEY CLUSTERED ([STK_ID], [PEX_CD] ASC);
GO

-- Creating primary key on [TRC_TYPIND], [TRC_NUMIND], [TRC_DATE] in table 'TRACE'
ALTER TABLE [dbo].[TRACE]
ADD CONSTRAINT [PK_TRACE]
    PRIMARY KEY CLUSTERED ([TRC_TYPIND], [TRC_NUMIND], [TRC_DATE] ASC);
GO

-- Creating primary key on [TRC_TYPIND], [TRC_NUMIND], [TRC_DATE], [TRC_INCR] in table 'TRACE2'
ALTER TABLE [dbo].[TRACE2]
ADD CONSTRAINT [PK_TRACE2]
    PRIMARY KEY CLUSTERED ([TRC_TYPIND], [TRC_NUMIND], [TRC_DATE], [TRC_INCR] ASC);
GO

-- Creating primary key on [STK_ID], [TSK_DATE] in table 'TRACESTK'
ALTER TABLE [dbo].[TRACESTK]
ADD CONSTRAINT [PK_TRACESTK]
    PRIMARY KEY CLUSTERED ([STK_ID], [TSK_DATE] ASC);
GO

-- Creating primary key on [STK_ID], [TSK_DATE], [TSKD_INCR] in table 'TRACESTKD'
ALTER TABLE [dbo].[TRACESTKD]
ADD CONSTRAINT [PK_TRACESTKD]
    PRIMARY KEY CLUSTERED ([STK_ID], [TSK_DATE], [TSKD_INCR] ASC);
GO

-- Creating primary key on [PERS_CD], [TYPE], [STAT_ID] in table 'SHIIG_PERS_STATS'
ALTER TABLE [dbo].[SHIIG_PERS_STATS]
ADD CONSTRAINT [PK_SHIIG_PERS_STATS]
    PRIMARY KEY CLUSTERED ([PERS_CD], [TYPE], [STAT_ID] ASC);
GO

-- Creating primary key on [ID] in table 'SHIIG_STATS'
ALTER TABLE [dbo].[SHIIG_STATS]
ADD CONSTRAINT [PK_SHIIG_STATS]
    PRIMARY KEY CLUSTERED ([ID] ASC);
GO

-- Creating primary key on [ID_FAMREPORT] in table 'SHIIG_FAMREPORT'
ALTER TABLE [dbo].[SHIIG_FAMREPORT]
ADD CONSTRAINT [PK_SHIIG_FAMREPORT]
    PRIMARY KEY CLUSTERED ([ID_FAMREPORT] ASC);
GO

-- Creating primary key on [ID_REPORT], [FAM_REPORT] in table 'SHIIG_REPORT'
ALTER TABLE [dbo].[SHIIG_REPORT]
ADD CONSTRAINT [PK_SHIIG_REPORT]
    PRIMARY KEY CLUSTERED ([ID_REPORT], [FAM_REPORT] ASC);
GO

-- Creating primary key on [ID_FAMREPORT], [ID_REPORT], [ID_QUERY] in table 'SHIIG_REPORT_QUERY'
ALTER TABLE [dbo].[SHIIG_REPORT_QUERY]
ADD CONSTRAINT [PK_SHIIG_REPORT_QUERY]
    PRIMARY KEY CLUSTERED ([ID_FAMREPORT], [ID_REPORT], [ID_QUERY] ASC);
GO

-- Creating primary key on [ID_FAMREPORT], [ID_REPORT], [ID_QUERY], [ID_BOOKMARK] in table 'SHIIG_REPORT_BOOKMARK'
ALTER TABLE [dbo].[SHIIG_REPORT_BOOKMARK]
ADD CONSTRAINT [PK_SHIIG_REPORT_BOOKMARK]
    PRIMARY KEY CLUSTERED ([ID_FAMREPORT], [ID_REPORT], [ID_QUERY], [ID_BOOKMARK] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [PERS_CD] in table 'PERSONNEL'
ALTER TABLE [dbo].[PERSONNEL]
ADD CONSTRAINT [FK_PERSONNEL_UTILISATEUR]
    FOREIGN KEY ([PERS_CD])
    REFERENCES [dbo].[UTILISATEUR]
        ([UT_CODE])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [PR_PERS] in table 'PERSROLE'
ALTER TABLE [dbo].[PERSROLE]
ADD CONSTRAINT [FK_PERSROLE_PERSONNEL]
    FOREIGN KEY ([PR_PERS])
    REFERENCES [dbo].[PERSONNEL]
        ([PERS_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [PR_SITE] in table 'PERSROLE'
ALTER TABLE [dbo].[PERSROLE]
ADD CONSTRAINT [FK_PERSROLE_PSITE]
    FOREIGN KEY ([PR_SITE])
    REFERENCES [dbo].[PSITE]
        ([PSITE_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_PERSROLE_PSITE'
CREATE INDEX [IX_FK_PERSROLE_PSITE]
ON [dbo].[PERSROLE]
    ([PR_SITE]);
GO

-- Creating foreign key on [PR_ROLE] in table 'PERSROLE'
ALTER TABLE [dbo].[PERSROLE]
ADD CONSTRAINT [FK_PERSROLE_PROLE]
    FOREIGN KEY ([PR_ROLE])
    REFERENCES [dbo].[PROLE]
        ([PROLE_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_PERSROLE_PROLE'
CREATE INDEX [IX_FK_PERSROLE_PROLE]
ON [dbo].[PERSROLE]
    ([PR_ROLE]);
GO

-- Creating foreign key on [DONN_NUMERO] in table 'CIDS'
ALTER TABLE [dbo].[CIDS]
ADD CONSTRAINT [FK_CIDS_DONNEUR]
    FOREIGN KEY ([DONN_NUMERO])
    REFERENCES [dbo].[DONNEUR]
        ([DONN_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [DONN_NUMERO], [CIDS_DTCRE], [PCIDS_CD] in table 'CIDSD'
ALTER TABLE [dbo].[CIDSD]
ADD CONSTRAINT [FK_CIDSD_CIDS]
    FOREIGN KEY ([DONN_NUMERO], [CIDS_DTCRE], [PCIDS_CD])
    REFERENCES [dbo].[CIDS]
        ([DONN_NUMERO], [CIDS_DTCRE], [PCIDS_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [COLL_CD] in table 'COLLCOMM'
ALTER TABLE [dbo].[COLLCOMM]
ADD CONSTRAINT [FK_COLLCOMM_COLLECTIVITE]
    FOREIGN KEY ([COLL_CD])
    REFERENCES [dbo].[COLLECTIVITE]
        ([COLL_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [COLL_CD] in table 'COLLCONTACT'
ALTER TABLE [dbo].[COLLCONTACT]
ADD CONSTRAINT [FK_COLLCONTACT_COLLECTIVITE]
    FOREIGN KEY ([COLL_CD])
    REFERENCES [dbo].[COLLECTIVITE]
        ([COLL_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [COLL_CD] in table 'COLLDONN'
ALTER TABLE [dbo].[COLLDONN]
ADD CONSTRAINT [FK_COLLDONN_COLLECTIVITE]
    FOREIGN KEY ([COLL_CD])
    REFERENCES [dbo].[COLLECTIVITE]
        ([COLL_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_COLLDONN_COLLECTIVITE'
CREATE INDEX [IX_FK_COLLDONN_COLLECTIVITE]
ON [dbo].[COLLDONN]
    ([COLL_CD]);
GO

-- Creating foreign key on [COLL_CD] in table 'COLLPERIODE'
ALTER TABLE [dbo].[COLLPERIODE]
ADD CONSTRAINT [FK_COLLPERIODE_COLLECTIVITE]
    FOREIGN KEY ([COLL_CD])
    REFERENCES [dbo].[COLLECTIVITE]
        ([COLL_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [COLL_CD] in table 'COLLPERSO'
ALTER TABLE [dbo].[COLLPERSO]
ADD CONSTRAINT [FK_COLLPERSO_COLLECTIVITE]
    FOREIGN KEY ([COLL_CD])
    REFERENCES [dbo].[COLLECTIVITE]
        ([COLL_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [COLL_CD] in table 'PLANCOLL'
ALTER TABLE [dbo].[PLANCOLL]
ADD CONSTRAINT [FK_PLANCOLL_COLLECTIVITE]
    FOREIGN KEY ([COLL_CD])
    REFERENCES [dbo].[COLLECTIVITE]
        ([COLL_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_PLANCOLL_COLLECTIVITE'
CREATE INDEX [IX_FK_PLANCOLL_COLLECTIVITE]
ON [dbo].[PLANCOLL]
    ([COLL_CD]);
GO

-- Creating foreign key on [DONN_NUMERO] in table 'DON'
ALTER TABLE [dbo].[DON]
ADD CONSTRAINT [FK_DON_DONNCPLT]
    FOREIGN KEY ([DONN_NUMERO])
    REFERENCES [dbo].[DONNCPLT]
        ([DONN_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [DONN_NUMERO] in table 'DONEXAM'
ALTER TABLE [dbo].[DONEXAM]
ADD CONSTRAINT [FK_DONEXAM_DONNEUR]
    FOREIGN KEY ([DONN_NUMERO])
    REFERENCES [dbo].[DONNEUR]
        ([DONN_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [DONN_NUMERO], [DONN_INCR], [PRELX_INCR] in table 'DONEXAMD'
ALTER TABLE [dbo].[DONEXAMD]
ADD CONSTRAINT [FK_DONEXAMD_DONEXAM]
    FOREIGN KEY ([DONN_NUMERO], [DONN_INCR], [PRELX_INCR])
    REFERENCES [dbo].[DONEXAM]
        ([DONN_NUMERO], [DONN_INCR], [PRELX_INCR])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [DONN_NUMERO] in table 'DONNCI'
ALTER TABLE [dbo].[DONNCI]
ADD CONSTRAINT [FK_DONNCI_DONNEUR]
    FOREIGN KEY ([DONN_NUMERO])
    REFERENCES [dbo].[DONNEUR]
        ([DONN_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [DONN_NUMERO] in table 'DONNEUR'
ALTER TABLE [dbo].[DONNEUR]
ADD CONSTRAINT [FK_DONNEUR_DONNCPLT]
    FOREIGN KEY ([DONN_NUMERO])
    REFERENCES [dbo].[DONNCPLT]
        ([DONN_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [PROD_CD] in table 'STOCK'
ALTER TABLE [dbo].[STOCK]
ADD CONSTRAINT [FK_STOCK_PPROD]
    FOREIGN KEY ([PROD_CD])
    REFERENCES [dbo].[PPROD]
        ([PROD_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_STOCK_PPROD'
CREATE INDEX [IX_FK_STOCK_PPROD]
ON [dbo].[STOCK]
    ([PROD_CD]);
GO

-- Creating foreign key on [REC_PROT_CD] in table 'RECPROT'
ALTER TABLE [dbo].[RECPROT]
ADD CONSTRAINT [FK_RECPROT_PPROT]
    FOREIGN KEY ([REC_PROT_CD])
    REFERENCES [dbo].[PPROT]
        ([PROT_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_RECPROT_PPROT'
CREATE INDEX [IX_FK_RECPROT_PPROT]
ON [dbo].[RECPROT]
    ([REC_PROT_CD]);
GO

-- Creating foreign key on [REC_NUMERO] in table 'RECDEMEX'
ALTER TABLE [dbo].[RECDEMEX]
ADD CONSTRAINT [FK_RECDEMEX_RECEVEUR]
    FOREIGN KEY ([REC_NUMERO])
    REFERENCES [dbo].[RECEVEUR]
        ([REC_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [REC_NUMERO], [RECD_INCR], [RECDX_INCR] in table 'RECDEMEXD'
ALTER TABLE [dbo].[RECDEMEXD]
ADD CONSTRAINT [FK_RECDEMEXD_RECDEMEX]
    FOREIGN KEY ([REC_NUMERO], [RECD_INCR], [RECDX_INCR])
    REFERENCES [dbo].[RECDEMEX]
        ([REC_NUMERO], [RECD_INCR], [RECDX_INCR])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [REC_NUMERO] in table 'RECDOSEX'
ALTER TABLE [dbo].[RECDOSEX]
ADD CONSTRAINT [FK_RECDOSEX_RECEVEUR]
    FOREIGN KEY ([REC_NUMERO])
    REFERENCES [dbo].[RECEVEUR]
        ([REC_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [REC_NUMERO] in table 'RECDTRANS'
ALTER TABLE [dbo].[RECDTRANS]
ADD CONSTRAINT [FK_RECDTRANS_RECEVEUR]
    FOREIGN KEY ([REC_NUMERO])
    REFERENCES [dbo].[RECEVEUR]
        ([REC_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [REC_NUMERO] in table 'RECIDENT'
ALTER TABLE [dbo].[RECIDENT]
ADD CONSTRAINT [FK_RECIDENT_RECEVEUR]
    FOREIGN KEY ([REC_NUMERO])
    REFERENCES [dbo].[RECEVEUR]
        ([REC_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [REC_NUMERO] in table 'RECPROT'
ALTER TABLE [dbo].[RECPROT]
ADD CONSTRAINT [FK_RECPROT_RECEVEUR]
    FOREIGN KEY ([REC_NUMERO])
    REFERENCES [dbo].[RECEVEUR]
        ([REC_NUMERO])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [STK_ID] in table 'STOCKDEM'
ALTER TABLE [dbo].[STOCKDEM]
ADD CONSTRAINT [FK_STOCKDEM_STOCK]
    FOREIGN KEY ([STK_ID])
    REFERENCES [dbo].[STOCK]
        ([STK_ID])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [STK_ID] in table 'STOCKDEM'
ALTER TABLE [dbo].[STOCKDEM]
ADD CONSTRAINT [FK_STOCKDEM_STOCK1]
    FOREIGN KEY ([STK_ID])
    REFERENCES [dbo].[STOCK]
        ([STK_ID])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [STK_ID] in table 'STOCKEX'
ALTER TABLE [dbo].[STOCKEX]
ADD CONSTRAINT [FK_STOCKEX_STOCK]
    FOREIGN KEY ([STK_ID])
    REFERENCES [dbo].[STOCK]
        ([STK_ID])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [STK_ID] in table 'TRACESTK'
ALTER TABLE [dbo].[TRACESTK]
ADD CONSTRAINT [FK_TRACESTK_STOCK]
    FOREIGN KEY ([STK_ID])
    REFERENCES [dbo].[STOCK]
        ([STK_ID])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [STK_ID], [STKD_INCR] in table 'STOCKDEMEX'
ALTER TABLE [dbo].[STOCKDEMEX]
ADD CONSTRAINT [FK_STOCKDEMEX_STOCKDEM]
    FOREIGN KEY ([STK_ID], [STKD_INCR])
    REFERENCES [dbo].[STOCKDEM]
        ([STK_ID], [STKD_INCR])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [STK_ID], [STKD_INCR], [STKDX_INCR] in table 'STOCKDEMEXD'
ALTER TABLE [dbo].[STOCKDEMEXD]
ADD CONSTRAINT [FK_STOCKDEMEXD_STOCKDEMEX]
    FOREIGN KEY ([STK_ID], [STKD_INCR], [STKDX_INCR])
    REFERENCES [dbo].[STOCKDEMEX]
        ([STK_ID], [STKD_INCR], [STKDX_INCR])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [STK_ID], [TSK_DATE] in table 'TRACESTKD'
ALTER TABLE [dbo].[TRACESTKD]
ADD CONSTRAINT [FK_TRACESTKD_TRACESTK]
    FOREIGN KEY ([STK_ID], [TSK_DATE])
    REFERENCES [dbo].[TRACESTK]
        ([STK_ID], [TSK_DATE])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [PERS_CD] in table 'SHIIG_PERS_STATS'
ALTER TABLE [dbo].[SHIIG_PERS_STATS]
ADD CONSTRAINT [FK_SHIIG_PERS_STATS_PERSONNEL]
    FOREIGN KEY ([PERS_CD])
    REFERENCES [dbo].[PERSONNEL]
        ([PERS_CD])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [FAM] in table 'SHIIG_STATS'
ALTER TABLE [dbo].[SHIIG_STATS]
ADD CONSTRAINT [FK_SHIIG_STATS_SHIIG_FAMSTATS1]
    FOREIGN KEY ([FAM])
    REFERENCES [dbo].[SHIIG_FAMSTATS]
        ([ID])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_SHIIG_STATS_SHIIG_FAMSTATS1'
CREATE INDEX [IX_FK_SHIIG_STATS_SHIIG_FAMSTATS1]
ON [dbo].[SHIIG_STATS]
    ([FAM]);
GO

-- Creating foreign key on [FAM_REPORT] in table 'SHIIG_REPORT'
ALTER TABLE [dbo].[SHIIG_REPORT]
ADD CONSTRAINT [FK_SHIIG_REPORT_SHIIG_FAMREPORT]
    FOREIGN KEY ([FAM_REPORT])
    REFERENCES [dbo].[SHIIG_FAMREPORT]
        ([ID_FAMREPORT])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_SHIIG_REPORT_SHIIG_FAMREPORT'
CREATE INDEX [IX_FK_SHIIG_REPORT_SHIIG_FAMREPORT]
ON [dbo].[SHIIG_REPORT]
    ([FAM_REPORT]);
GO

-- Creating foreign key on [ID_FAMREPORT], [ID_REPORT] in table 'SHIIG_REPORT_QUERY'
ALTER TABLE [dbo].[SHIIG_REPORT_QUERY]
ADD CONSTRAINT [FK_SHIIG_REPORT_QUERY_SHIIG_REPORT]
    FOREIGN KEY ([ID_FAMREPORT], [ID_REPORT])
    REFERENCES [dbo].[SHIIG_REPORT]
        ([ID_REPORT], [FAM_REPORT])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating foreign key on [ID_QUERY], [ID_FAMREPORT], [ID_REPORT] in table 'SHIIG_REPORT_BOOKMARK'
ALTER TABLE [dbo].[SHIIG_REPORT_BOOKMARK]
ADD CONSTRAINT [FK_SHIIG_REPORT_BOOKMARK_SHIIG_REPORT_QUERY]
    FOREIGN KEY ([ID_QUERY], [ID_FAMREPORT], [ID_REPORT])
    REFERENCES [dbo].[SHIIG_REPORT_QUERY]
        ([ID_FAMREPORT], [ID_REPORT], [ID_QUERY])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------